Documentation Control Box 2

Merci d'avoir acheté Control Box 2 (CB-2)

Control Box 2

Le fichier d'aide HTML contient la documentation de Control Box 2.

La première partie de ce document contient des informations sur la fonctionnalité de Control Box 2.

La seconde partie du document contient des informations sur Dialog Manager, le logiciel utilisé pour la conception de CB-2 Utility, le pilote de Control Box 2.

Dernière Modification: 31 Août 2017 © 2002,2017 Computerservice SSHS BV.


Introduction

Le "Control Box 2 Package" est une combinaison de logiciel et de matériel qui permet aux utilisateurs de machines à tricoter Brother KH970 électroniques de tricoter des motifs sauvés dans leur ordinateur.

La boîte Control Box 2 représentée ci-dessous est le matériel du "Control Box 2 Package"

Control Box 2
Control Box 2

The CB-2 box is hooked up to your computer via the USB interface and hooked up to the needle bed of the Brother KH970 knitting machine using the cable that comes out of the needle bed. Only the KH970 needle bed is supported by the CB-2 package. The FB-Connector can be used to hook up an FB100 floppy drive.

CB-2 Utility est le logiciel qui pilote la boîte Control Box 2.

CB-2 Utility a deux fonctions principales: transférer un motif à la boîte Control Box 2 (après avoir appliqué vos variations) et tricoter le motif transféré. CB-2 Utility affichera à l'écran la progression du tricot, la position des curseurs de point, la position du chariot, compte-rangs réglable, etc.

CB-2 Utility peut transférer 20 formats de motifs à la boîte Control Box 2.

Le "Control Box 2 Package" peut remplacer un CB-1.


CB-2 Utility

CB-2 Utility est le pilote de Control Box 2.

CB-2 Utility a trois fonctions principales:
  1. Rechercher des motifs et afficher une image du motif sélectionné.
  2. Transférer un motif à la boîte Control Box 2.
  3. Tricoter le motif transféré à la boîte Control Box 2.
CB-2 Utility also has a position and variation program

Dernière Modification: 15 Août 2018 © 2002,2018 Computerservice SSHS BV.


Fonctions

Fonctions disponibles sur l'écran principal

  • Parcourir des motifs
  • Nom du motif
  • Image réduite et/ou partielle du motif
  • Image taille normale du motif
  • Glisser-déposer un motif (dans le champ Motif)
  • Carriage selection
  • Indication des rangs, des mailles et de la méthode de tricot
  • Aide en ligne
  • Nom du motif dans la boîte Control Box 2
  • Informations sur la boîte Control Box 2
  • Print pattern
  • Démarrer le transfert
  • Démarrer le tricot

Fonctions disponibles pendant le transfert

    Variation des motifs
  • Normal
  • Double hauteur
  • Double largeur
  • Renversé
  • Inversé
  • Motif + Blanc
  • Négatif
  • Echange
  • Miroir Horizontal
  • Miroir Vertical
  • Odd stitch left
  • Chevron
  • Reflection
  • Birdseye Gauche
  • Birdseye Droite
  • Centré
  • Répétition horizontale
  • Répétition verticale
  • Chariot démarre à gauche
  • Sélection des aiguilles des extrémités
  • Jacquard Fil tiré en simple fonture
  • Jacquard Fil tiré en double fonture
  • Jacquard double (double fonture)
  • Jacquard fonture principale seule
  • Jacquard avec double fonture
  • Dentelle simple
  • Dentelle à transferts multiples
  • Normal Lace
  • Fine Lace
  • Multiline Lace
  • Superimposed Lace
  • Spécifier largeur
  • Positionnement
  • Indicateurs de Motif

Fonctions disponibles pendant le tricot

  • Tricot continu
  • Choisir rang de départ avec un clic de la souris
  • Montrer la couleur contraste
  • Compte-rangs
  • Position des curseurs de point
  • Indication des rangs et des mailles
  • Stop screen option (pattern row counter doesn't increment)
  • Indication de la position du chariot

Functions available in programming

  • "Unlimited" number of program steps (Actions)
  • Every Action can have its own source pattern
  • Variations are per Action, not per program
  • Source can be any portion of the source pattern
  • Destination can be any row,stitch of the target pattern
  • "Unlimited" number of rows in target pattern
  • Default pattern loaded directly into CB-2 Utility
  • Load and save pattern programs
  • Preview function with support for lace patterns

Dernière Modification: 15 Août 2018 © 2002,2018 Computerservice SSHS BV.


Démarrer CB-2 Utility

La boîte Control Box 2 est contrôlée par CB-2 Utility.

Suivez ces étapes pour démarrer CB-2 Utility:
1. Cliquez sur Démarrer
2. Cliquez sur Programmes
3. Cliquez sur CB-2
4. Cliquez sur CB-2 Utility
5. La fenêtre de dialogue de configuration de CB-2 Utility s'affichera

Figure 1

Ou vous pouvez double-cliquer sur le raccourci de CB-2 Utility sur le bureau.


Configuration

Quand CB-2 Utility démarre, il faut d'abord sélectionner le port com auquel la boîte Control Box 2 est connectée en choisissant l'un des ports com de la liste. CB-2 Utility mémorise le dernier port utilisé. Vous pouvez avoir plusieurs unités Control Box 2 connectées ou l'un de nos autres produits USB. CB-2 Utility en affiche une liste le cas échéant.

Si la boîte Control Box 2 n'est pas connectée au port com spécifié, ou si elle n'est pas allumée, vous verrez le message ci-dessous.

Vous pouvez cliquer sur Régénérer pour rafraîchir la liste de tous les ports com disponibles. Ceci est particulièrement utile si vous aviez oublié d'allumer la boîte Control Box 2.

Vous pouvez modifier la palette des couleurs utilisées par CB-2 Utility pour les motifs qui n'ont pas d'informations couleurs en cliquant sur le bouton Palette.

Vous pouvez avoir accès au fichier d'aide en cliquant sur le bouton Aide

Cochez la case Configuration Impression si vous voulez choisir une imprimante lors vos demandes d'impression futures. Si cette case n'est pas cochée, l'impression se fera sur l'imprimante par défaut.

Cochez la case Info-bulles si vous voulez que CB-2 Utility affiche des informations au passage du pointeur de la souris au-dessus de certaines zones.

L'application CB-2 Utility se ferme en cliquant sur le bouton Fermer ou sur la croix dans le coin supérieur droit de la fenêtre de dialogue.

Si vous cliquez sur OK, la fenêtre suivante sera la fenêtre de dialogue Control Box 2.


Menu

La barre des menus comporte un menu Fichier et un menu d'Aide.

Menu Fichier |
Quitter | Pour quitter CB-2 Utility
Menu d'Aide |
Contenu | Pour afficher les rubriques d'aide
Langue | Pour choisir la langue
A propos de Control Box 2… | Pour obtenir des informations sur CB-2 Utility.


Langue

Vous pouvez changer la langue utilisée dans les fenêtres de dialogue en choisissant l'une des langues ci-dessous.

Appuyez sur OK pour confirmer la langue choisie ou cliquez sur Annuler pour conserver les paramètres actuels.


Palette

La plupart des formats de fichiers de points contiennent des informations sur la couleur (PAT, STP, BMP, STC, etc). Certains formats de fichiers de points n'en contiennent pas (DAT, TXT). Pour montrer des motifs sans informations sur la couleur, CB-2 Utility utilise une palette de couleurs prédéfinie. Cette palette contient 16 couleurs.

Après avoir cliqué sur le bouton Palette de la fenêtre de dialogue de configuration, vous verrez la fenêtre de dialogue Couleurs ci-dessus. La fenêtre de dialogue Couleurs est une fenêtre de dialogue standard de Windows.
Son aspect peut varier suivant la version de Windows.
Les 16 couleurs utilisées par CB-2 Utility sont dans la zone couleurs personnalisées. Ces couleurs peuvent être modifiées.

Pour modifier une couleur:
1. Cliquer sur la couleur dans la section couleurs personnalisées.
2. Les informations sur la couleur s'affichent à droite dans la fenêtre de dialogue Couleurs
3. Modifier la couleur
4. Cliquer sur le bouton Ajouter aux Couleurs Personnalisées.
5. La couleur que vous avez modifiée s'affichera dans la section Couleurs Personnalisées.

Vous pouvez répéter ces 5 étapes aussi souvent que vous le souhaitez.

Pour sauver les modifications que vous avez faites, cliquez sur OK.
Pour conserver la palette telle qu'elle était, cliquez sur Annuler.
Si vous cliquez sur Annuler, les changements que vous avez apportés sont perdus.


Control Box 2

Vous verrez la fenêtre de dialogue ci-dessous si vous avez cliqué sur OK dans la fenêtre de dialogue de configuration.

La fenêtre de dialogue Control Box 2 a une barre des menus, plusieurs champs et plusieurs boutons.

Les champs ont les fonctions suivantes:
Champ | Fonction
Motif Nom du motif qui sera transféré à la boîte Control Box 2 quand vous cliquez sur le bouton Transférer. Vous pouvez remplir le champ du motif en cliquant sur le bouton ... et en sélectionnant le motif dans la fenêtre de dialogue Parcourir ou vous pouvez Glisser-Déposer un motif dans le champ en utilisant le Glisser-Déposer de l'Explorateur Windows, de l'Explorateur de motifs ou d'une autre application Glisser-Déposer
Image Afficher une image du motif dans le champ Motif
Mailles Le nombre de mailles du motif
Rangs Le nombre de rangs du motif
Méthode La méthode de tricot. La valeur de ce champ est équivalente à la méthode de tricot de DesignaKnit.
Les valeurs peuvent être:
Valeur | Signification
0 | Fairisle (jacquard simple)
1 | Intarsia
2 | Jacquard double 2 couleurs
3 | Jacquard double 3 couleurs
4 | Jacquard double 4 couleurs
5 | Jacquard double 5 couleurs
6 | Jacquard double 6 couleurs
12 | Tricot main
14 | Endroit au-dessus
15 | Envers au-dessus
CB-2 Utility supporte les méthodes 0, 2, et 3. Les méthodes 14 et 15 sont traitées comme s'il s'agissait de la méthode 0.
Les méthodes 0 et 2 sont essentiellement identiques. CB-2 Utility vous permet de tricoter un motif méthode 0 en jacquard deux couleurs et un jacquard deux couleurs comme un Fairisle (jacquard simple).
Carriage | The carriage to be used to knit the pattern
Motif CB-2
Motif actuellement transféré dans la boîte Control Box 2. Ce n'est pas nécessairement le même que le champ Motif. Quand vous voulez tricoter le motif du champ Motif, cliquez sur Transférer pour transférer le motif à la boîte Control Box 2. Quand vous cliquez sur OK une fois le transfert terminé, le nom dans le champ Motif et le nom dans le champ Motif CB-2 seront les mêmes.
Zone de statut
 Zone d'affichage du statut, de la progression et des messages d'erreur.

Les boutons ont les fonctions suivantes:
Bouton | Fonction
... | Parcourir votre ordinateur pour trouver un motif à transférer
Aide | Ouvrir la bibliothèque de l'aide en ligne
K | Use the K carriage for knitting
L | Use the L carriage for knitting
G | Use the G carriage for knitting
Taille normale | Afficher image taille normale du motif dans le navigateur.
Infos | Obtenir des informations techniques de la boîte Control Box 2
Imprimer | Impression d'écran de la fenêtre de dialogue Control Box 2
Transférer | Transférer le motif du champ Motif à la boîte Control Box 2
Tricoter | Tricoter le motif transféré à la boîte Control Box 2
Fermer | Quitter CB-2 Utility

Dernière Modification: 26 Avril 2018 © 2002,2018 Computerservice SSHS BV.


Menu

Sur la Barre des Menus, vous trouvez deux rubriques: le Menu Fichier et le Menu d'Aide

Menu Fichier |
Quitter | pour quitter CB-2 Utility
Menu d'Aide |
Contenu | pour afficher les principales rubriques de l'aide
Configuration | pour choisir le port com et la langue
A Propos de CB-2... | pour obtenir des informations sur CB-2 Utility


Parcourir

Il existe plusieurs possibilités de recherche des motifs dans l'ordinateur. CB-2 Utility dispose de plusieurs interfaces pour accepter des motifs:

  • Parcourir dans une fenêtre de dialogue Control Box 2
  • Ouvrir avec dans des programmes Explorer tels que Explorateur de Motifs, Explorateur Windows, ...
  • Glisser-Déposer dans des programmes Explorer tels que Explorateur de Motifs, Explorateur Windows, ...
Cliquez sur l'un des liens ci-dessus pour de plus amples informations.


Browse

The Browse function on the Control Box 2 dialog gives access to the various browsing facilities of CB-2 utility.

The Browse... function on the Browse menu enables you to browse your computer for the knitting pattern you want to knit.

The KH970, KH965, KH940, KH270, KH900 and KH910 functions enable you to browse the patterns of the respective machines. You can preview and select the pattern you want to knit. These patterns are inbuilt into the CB-2.

The FB100 function enables you to access an FB100, browse the designs and load a design.

The PPD function enables you to access a Pattern Program Device (PPD), browse the designs on the cartridge and load a design.

The Img2Track function enables you to load the sticth pattern resulting from the image loaded in Img2track.

The DesignaKnit function enables you to load the design you have open in the Stitch Designer module of DesignaKnit.

Dernière Modification: 26 Avril 2018 © 2002,2018 Computerservice SSHS BV.


Parcourir

Vous pouvez parcourir votre ordinateur pour trouver un ou plusieurs motifs. Cliquer sur le bouton ... pour parcourir.

La boîte de dialogue ci-dessus est une fenêtre Windows standard d'ouverture de fichier. Veuillez consulter votre documentation Windows pour de plus amples informations.

A gauche, vous trouvez une série de raccourcis vers des emplacements de votre ordinateur où vous avez pu sauver des motifs.
Au-dessus (Regarder dans) s'affiche l'emplacement actuel où vous effectuez la recherche des motifs. Utilisez la flèche à côté du champ pour choisir un autre emplacement ou le bouton "remonter d'un niveau".
Utilisez le bouton "Créer un Nouveau Dossier" pour créer un nouveau dossier à l'emplacement actuel. Utilisez "Voir Menu" pour modifier la représentation du contenu de la fenêtre "Fichiers". Le champ Nom du Fichier contient le filtre appliqué aux fichiers du dossier. Utilisez la flèche pour dérouler la liste de fichiers que vous avez ouverts précédemment.
Le champ Fichiers de type affiche le filtre en cours. Utilisez la flèche pour changer le filtre.

Vous sélectionnez un fichier dans la liste en cliquant dessus. Le fichier sera en surbrillance et vous pouvez cliquer sur Ouvrir pour choisir le fichier comme Fichier Motif.
Appuyez sur Annuler si vous souhaitez mettre fin au processus de sélection.

CB-2 Utility supporte les types de fichiers suivants:
Extension | Description
PAT | Fichier de motifs DesignaKnit
BPT | Fichier Brother PaTtern
BMP | Fichier BitMaP Windows
CST | Fichier de motifs CompuStrick
CUT | Fichier de motifs Passap Creation
PCX | Fichier de motifs System 90 INTO SHAPE
STC | Fichier de motifs Stitch Painter
SBR | Fichier Brush Stitch Painter
DAT | Fichier de motifs PC10 Silver Reed
STP | Fichier de motifs DesignaKnit
TXT | Document texte
NIT | Fichier de motifs KnitPad
PBM | Fichier Portable Bit Map
PGM | Fichier Portable Gray Map
PPM | Fichier Portable Pixel Map
KSW | Fichier de motifs Knitt Styler
KSL | Galerie fichier de motifs Knitt Styler
QPA | Fichier de bitmap DesignaKnit
MT | Fichier de motifs de Singer 9000
MTF | Fichier de motifs System 90 INTO SHAPE
MTF | Fichier de motifs System 90 INTO SHAPE


Browse Knitting Machine

All inbuilt patterns of the KH970, KH965, KH940/KH930, KH900, KH910 and KH270 are inbuilt in the CB-2. When you select one of the knitting machines on the Browse menu, you will see the dialog below.

The Pattern Number field contains the pattern number you want to select. You can find pattern numbers in the Pattern manuals for the respective machines.

The Repeats field shows the number of repetitions you want to use before applying variations.

In the middle of the dialog you see a picture of the selected pattern. This picture will be the word CB-2 with a red cross when no pattern number is entered.

The < and > buttons allow you to browse the patterns of the selected machine. The Pattern Number field is the currently previewed pattern. The < will decrement the Pattern Number if possible; the > button will increment the Pattern Number if possible.

Press the Preview button to show the pattern as indicated by the Pattern Number number field.

Select the pattern for knitting by pressing the Select button.

Use the Close button if you couldn't find the pattern you were after.


Browse FB100

You can browse patterns on a (virtual) FB100 diskette. Hook up your FB100 drive or a BL1USB or BL5USB + FB100 Emulator to the FB Connector on the CB-2 box. Insert a floppy in the FB100 drive or load a virtual floppy in FB100 Emulator.
After pressing the ... button on the Control Box 2 dialog, you will see the menu below.

Press the FB100 button to start browsing the (virtual) floppy.
You will see the FB100 Progress window while CB-2 Utility is reading the (virtual) floppy to determine the type of the floppy and after that the tracks with designs on the floppy. The FB100 Progress window will look like this one.

The FB100 Progress window has a number of fields and 2 buttons:
Sector : the sector being read or the last sector read.
of : the highest sector to be read.
Progress bar : reports the progress of the reading.
Status : shows messages about the reading process; errors are also reported in the Status field.
OK : button to confirm that the selected pattern is the one you want to use.
Cancel : button to abort the access to the (virtual) FB100 diskette.

After CB-2 Utility has worked out the tracks with designs, you will see the Select Track dialog.

The Machine field shows what type of machine the (virtual) FB100 diskette is made for.
The track list shows tracks on the (virtual) FB100 diskette that contain patterns. Empty tracks are not in this list.
Select the track you want to browse and press the OK button to start reading the selected track. In case there is only one track containing patterns, this track is preselected so you can press the OK button immediately.
Press Cancel to return to the Browse menu.

After you press the OK button, you are returned to the Progress window where you can monitor the reading of the track.

After CB-2 has read the entire track, you will see:

or

You get the left hand dialog in case design 901 is on the selected track. You get the right hand dialog in case design 901 is not on the selected track. The first design on a track is not necessarily design 901. It is also possible that not all consecutive design numbers are used. A track can have for example design 903 and 901 in that order. CB-2 Utility doesn't try to sort the designs by design number.

The Select Pattern dialog has 3 fields, 5 buttons and a variable title.
The title shows for which machine the (virtual) FB100 diskette was created.
Pattern Number : the number of the pattern you want to access; values for virtual diskettes between 901 and 999.
Repeats : the number of times you want the pattern horizontally repeated.
Bitmap : a graphical representation of the pattern indicated by Pattern Number.
< : show previous pattern like if 905 is displayed, show 904.
> : show next pattern like if 904 is displayed, show 905.
Preview : show the pattern indicated by Pattern Number. You use Preview after you manually enter Pattern Number.
Select : select the pattern indicated by Pattern Number. The pattern will be used by the main dialog.
Close : leave this dialog without selecting a pattern. You will be returned to the Browse menu


Browse PPD

The Control Box 2 supports transfer of designs from a Pattern Programming Device (PPD) to the CB-2. The PPD can behave as an FB100. This feature is called FB100 Emulation mode. Most PPD cartridges support FB100 Emulation. See the PPD documentation (PPD100 page 45, PPD110 page 62 and PPD120 page 59).
You can browse patterns on a cartridge that supports FB100 Emulation.
Using the transfer from PPD, you can upload your designs from a cartridge into the CB-2. This is particularly interesting where your cartridge has rather unique functionality like the Lace Cartridge that supports superimposed lace or the Extra's Cartridge.
Note: cartridges written by the CB-1 can only be accesed by the CB-1.

Below you find the list of cartridges and whether they support FB100 Emulation.

Cartridge | FB100 Emulation | Modes
Stitch Pattern Cartridge |  | KH930 KH930M
Stitch Pattern Cartridge II |  | KH940 KH930
Stitch Pattern Cartridge III |  | KH940/KH950i,KH270 KH930 KG930M KH900 KH965
Multi Color Cartridge |  | KH940/KH270 KH930 KH900 KH965i
Blank Cartridge |  |
Stitch Pattern Cartridge Extra's |  | KH930M
Lace Cartridge |  | KH940/KH950i KH930 KH900 KH965
Design System Cartridge |  | CK35

1. Switch off the power of the pattern programmaing device and the TV set.
2. Switch off the power of the Control Box 2.
Connect CB-2 with PPD
3. Connect the FB connector of the CB-2 to the KH/ACC connector of the pattern programming device with the interface cable.
4. Connect the pattern programming device to the main supply using the AC adapter.
5. Insert the pattern cartridge in the cartridge slot of the pattern programming device.
6. Switch on the power of the pattern programming device.
7. Swicth on the power of the CB-2.
8. Do not operate the pattern programming device except extras where you need to enter the page number followed by Step.
Now you can browse the patterns on the pattern cartridge.

After pressing the ... button on the Control Box 2 dialog, you will see the menu below.

Press the PPD button to start browsing the cartridge.
You will see the PPD Progress window while CB-2 Utility is reading the cartridge to determine the type of the cartridge and after that the pages with designs on the cartridge. The PPD Progress window will look like this one.

The PPD Progress window has a number of fields and 2 buttons:
Sector : the sector being read or the last sector read.
of : the highest sector to be read.
Progress bar : reports the progress of the reading.
Status : shows messages about the reading process; errors are also reported in the Status field.
OK : button to confirm that the selected pattern is the one you want to use.
Cancel : button to abort the access to the cartridge.

After CB-2 Utility has worked out the tracks/pages with designs, you will see the Select Track dialog.

The Machine field shows what type of machine the cartridge is made for.
The track list shows tracks/pages on the cartridge that contain patterns. Empty tracks/pages are not in this list.
Select the track/page you want to browse and press the OK button to start reading the selected track/page. In case there is only one track/page containing patterns, this track is preselected so you can press the OK button immediately.
Press Cancel to return to the Browse menu.

After you press the OK button, you are returned to the Progress window where you can monitor the reading of the track.

After CB-2 has read the entire track/page, you will see:

or

You get the left hand dialog in case design 901 is on the selected track. You get the right hand dialog in case design 901 is not on the selected track. The first design on a track is not necessarily design 901. It is also possible that not all consecutive design numbers are used. A track can have for example design 903 and 901 in that order. CB-2 Utility doesn't try to sort the designs by design number.

The Select Pattern dialog has 3 fields, 5 buttons and a variable title.
The title shows for which machine the cartridge was created.
Pattern Number : the number of the pattern you want to access; values for virtual diskettes between 901 and 999.
Repeats : the number of times you want the pattern horizontally repeated.
Bitmap : a graphical representation of the pattern indicated by Pattern Number.
< : show previous pattern like if 905 is displayed, show 904.
> : show next pattern like if 904 is displayed, show 905.
Preview : show the pattern indicated by Pattern Number. You use Preview after you manually enter Pattern Number.
Select : select the pattern indicated by Pattern Number. The pattern will be used by the main dialog.
Close : leave this dialog without selecting a pattern. You will be returned to the Browse menu

Last Modification: May 3, 2020 © 2002,2020 Computerservice SSHS BV.


Browse Img2Track

Img2Track presents the selected image to the KH970 knitting machine as patterns 901 on a KH940 formatted diskette.
Hook up the cable you use to transfer patterns to the FB connector on the CB-2 box. Make sure the transfer cable is the only serial port available on your computer because Img2Track may pick one of the other ports for transfer. Start Img2Track and check the preferences are as shown in the picture below.

Img2Track Preferences

Check that model KH970 is selected and tick "Show debug messages" if not already ticked. The number of debug messages is limited. The com port used is displayed as part of the debug messages.
Select the image you want to knit and the Img2Track window will look like the screen shot below.

Img2Track Image Selected

Now go to CB-2 Utility and press the ... button on the Control Box 2 dialog. You will see the menu below.

Press the Img2Track button and the download process starts. You can monitor the download process on the Img2Track Progress Window.

Once the download is completed (no further user intervention required), you will see the Select Pattern dialog with the transferred pattern already displayed.

Press Select to make the pattern your current pattern.


Browse DesignaKnit

If your CB-2 box has the DesignaKnit option, you can load a pattern from DesignaKnit. You can find the com port to be used by DesignaKnit in the Configuration dialog.

You need to pick the com port that is associated with CB-2 C. In the dialog above you can see that the port CB-2 C is remapped to Com7. This is to accommodate DesignaKnit 7. DK7 don't support com ports above 9.
Make sure the CB-2 A port is selected and press OK to continue CB-2 Utility.
Once you configured DesignaKnit, you can download a pattern. In DesignaKnit start Transfer, Download, select KH970, press OK and Download. You will see the window below.

Next you press the ... button on the Control Box 2 dialog, you will see the menu below.

Press the DesignaKnit button and the download process starts. You can monitor the download process on the DesignaKnit Progress Window.

Once the download is completed (no further user intervention required), you will see the Select Pattern dialog with the transferred pattern already displayed.

Press Select to make the pattern your current pattern.

After you press the DesignaKnit button on the Browse menu, you may get the message:

Reasons for the unlikely event that you get the Timedout message above in the status field of the Progress window are:
1. DesignaKnit was not in download mode (displays Pattern transfer window) when you pressed the DesignaKnit button.
2. The port you configured in DesignaKnit is not the C port of the CB-2

Dernière Modification: 15 Août 2018 © 2002,2018 Computerservice SSHS BV.


Glisser-Déposer

Il existe plusieurs possibilités pour rechercher des motifs dans votre ordinateur. L'Explorateur de Motifs en est une. Quand vous avez trouvé le motif que vous voulez tricoter, vous avez plusieurs options pour amener le motif dans CB-2 Utility. Une de ces options est le Glisser-Déposer.

Quand vous utilisez le Glisser-Déposer, vous devez vous assurer que le programme où vous sélectionnez le motif (L'Explorateur de Motifs dans l'exemple ci-dessous) et la cible où vous 'déposez' le motif sont tous deux visibles. En réalité, seul le champ Motif de CB-2 Utility doit être visible.
Vous cliquez avec le bouton gauche de la souris sur le motif que vous voulez utiliser, maintenez le bouton gauche enfoncé et déplacez la souris vers le champ Motif. Vous verrez l'ombre du motif se déplacer avec la souris.

Quand la souris arrive au-dessus de la boîte de dialogue de Control Box 2, le curseur de la souris prend la forme d' un signe stop (ce qui signifie que vous ne pouvez pas déposer). Toutefois quand vous déplacez la souris au-dessus de la zone du champ Motif, le curseur prend la forme d'un signe plus.

Relâchez le bouton gauche de la souris et le motif sera déposé dans le champ Motif
Comme vous pouvez déposer n'importe quel fichier dans le champ Motif, vous pourriez y déposer un fichier qui n'est pas supporté par CB-2 Utility.
Dans ce cas, vous recevrez un message et verrez:

Le nom du fichier reste dans le champ Motif pour référence. Notez que vous pouvez quand même tricoter le motif dans la boîte Control Box 2.


Ouvrir Avec

Vous pouvez ouvrir un motif avec CB-2 Utility en cliquant sur ce motif avec le bouton droit de la souris. Un menu déroulant s'affiche qui contient Ouvrir Avec et une flèche ou Ouvrir Avec ... suivant que l'extension a déjà ou non été associée à des fichiers. Dans l'exemple ci-dessous, des fichiers bmp ont déjà été ouverts avec CB-2 Utility auparavant.
Cliquer sur CB-2 Utility et CB-2 Utility démarrera

Vous verrez ensuite la fenêtre de dialogue de configuration de CB-2 Utility. Appuyez sur OK et la fenêtre de dialogue Control Box 2 affichera le motif.

Veuillez consulter votre documentation Windows pour de plus amples informations sur Ouvrir Avec.


Image Taille Normale

Vous pouvez voir une image de tout le motif sélectionné en cliquant sur le bouton Taille Normale.

Le bouton Taille Normale est normalement représenté par l'icône d'une loupe sur un document.

Cette fonctionnalité est particulièrement intéressante pour les motifs dentelle où seule la partie centrale du motif peut être affichée parce que les symboles dentelle nécessitent une résolution minimale. Vous pouvez utiliser cette fonction pour n'importe quel motif. Les motifs autres que la dentelle, dont la largeur ou la hauteur dépassent, respectivement, 25 mailles et 25 rangs, sont réduits de manière à afficher un maximum du motif. L'image taille normale affiche toutes les mailles dans la même taille que les mailles dentelle.

L'image taille normale s'affichera dans votre navigateur et vous pourrez donc l'imprimer.

Pour information: le titre de la page image taille normale dans votre navigateur contient le nom de fichier de votre motif.
Dans Internet Explorer, choisir l'en-tête "&w" imprimera le nom du fichier en haut de page. Si vous choisissez "&d&bPage &p of &P" pour le bas de page, la numérotation des pages et la date s'afficheront en bas de page. You find the settings for header and footer via File, Page setup... There are small variations over the way to set headers and footers.


Informations

Vous pouvez obtenir des informations techniques sur la boîte Control Box 2 en cliquant sur Infos dans la boîte de dialogue Control Box 2.

Le groupe Version représente la version du logiciel de la boîte Control Box 2.

Le groupe Production donne l'année et le mois de conception, et le numéro de série de la boîte Control Box 2.

Le groupe Mémoire montre le type de mémoire et le nombre de puces installés dans la boîte Control Box 2. L'image ci-dessus montre une puce de 128K, ce qui représente plus de 2000 rangs.

Le groupe Connexion montre le type de connexion (USB or RS232) et le port com (RS232) ou le port com virtuel (USB ) auquel est connectée la boîte Control Box 2.

Left of the Fermer button you may find the tekst DaK. If the text Dak is present, the CB-2 box has an inbuilt cable for communication with DesignaKnit and the CB-2 can work with DesignaKnit.

Appuyez sur Fermer une fois que vous avez terminé.


Imprimer

Des fenêtres de dialogue permettent d'effectuer une impression d'écran. Ceci peut s'avérer utile, par exemple, si vous voulez vous souvenir des options que vous avez appliquées à un motif pendant le transfert.

Si vous avez coché Configuration Impression dans la fenêtre de dialogue de configuration, vous verrez une fenêtre de dialogue semblable à celle ci-dessus. Vous pouvez sélectionner l'imprimante à laquelle envoyer l'impression d'écran et modifier les paramètres suivant vos exigences.

Cliquez sur le bouton Imprimer pour démarrer l'impression d'écran.


Programming

The Programming feature of the CB-2 provides the functionality of the Pattern Positioning and the Pattern Variation functions of the CB-1. The limitations of the CB-1 (like 9 patterns) are no longer in place. Also the patterns don't have to be horizontally aligned. The paradigm of Programming is slightly different from the CB-1: you create a new design by specifying one or more Actions (positioning plus variations) to be performed on one or more patterns. The so created design can be knitted by the CB-2 software as one (large) pattern. For Pattern positioning on the CB-1 see page 24 of the KH970 manual. The pattern variations you can find on page 27 and further in the KH970 manual.

The functionality provided by the CB-2 is more extended than the functionality provided by the CB-1. You can include any (portion of) a source design and position it anywhere on the destination design, both motif patterning and all over patterning are supported similar to the CB-1.

You can specify variations per action. You can also change the order in which the variations are applied.

The Preview function is provided so you can visually inspect what you have programmed so far.

A major difference between the CB-2 and CB-1 implementation is that the needles are numbered 1 thru 200 in the CB-2 and yellow 100-1 and 1-100 green in the CB-1. Needle 1 in the CB-2 is yellow 100 in the CB-1 (L100); needle 100 in the CB-2 is yellow 1 in the CB-1 (L1); needle 101 in the CB-2 is green 1 in the CB-1 (R1) etc. The numbering from 1 thru 200 makes it easier to specify the First Needle Position (FNP). The FNP functionality in the CB-2 is identical to the FNP functionality in the CB-1. The automatic pattern position (R1) in all over patterning becomes 101 in the CB-2.

All patterns in Electroknit Pattern Cards Vol2 Lace Patterns can be programmed using Programming. Pattern 201 1-D can be programmed into a single program so reprogramming is no longer needed.

The difference between single motif on the CB-2 and the CB-1 is that the CB-1 centers the pattern where the default position of the CB-2 is row 1 stitch 1. In the CB-2 you can also position the resulting pattern before downloading.

In the CB-1 the order of the pattern positioning entries is fixed; in the CB-2 you can alter the order of the actions.

The default program is always available to you. The filename of the default program is Program.txt. The file resides in your folder. You can save the default program under a different name and reload the saved program later as the default program. Saved programs can be knitted without further action.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Overview

The Progam function of CB-2 Utility is driven by the dialog below.

Program Overview

The Program dialog contains the sections:
  • Action list: the list of Actions that form the program.
  • Pattern: the pattern of the selected Action.
  • Variations: the variations to be applied to the pattern.
  • Destination: the rectangle where the pattern will go plus FNP.
  • Source: the rectangle that determines the (portion of the) pattern to be copied.
The links above point to topics that explain the individual sections.

What you see in the Action List are the Action(s) of the default program. The Pattern section, the Variations section, the Destination section and the Source section reflect the contents of the selected Action. On top of that you may enter your own values. Your own values become the values of the selected Action once you press the Update button in the Action List section.

The buttons perform the following functions:
Close: Close the dialog discarding any changes you made.
OK: save the contents of the Action List in the default program file on your computer.
Load: load a program you created earlier as the default program (default program file on your computer is not changed).
Save As: save the default program on your computer. You can specify the name.
Preview: show a graphical representation on how the program will look like.

Notes:
  • The number of Actions in the Action List is more than 9.
  • The letter g is lower than the other letters making the alignment better.
  • The heart is an STP file which can be intermixed with inbuilt patterns
  • The purpose of the selected line is to create a top and right border of 2 stitches.
  • The left and bottom border are created by not using rows 1 and 2 and stitches 1 and 2.
  • You find the program I_love_knitting.txt in the CB-2\txt folder

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Action List

The area inside the red rectangle is the Action List section.

Program Action List

The Action List table contains the Actions that form the program. An Action entry shows the Destination values, the Source values and the Pattern file name of the Action. when you click on an Action, its values will be copied to the corresponding fields on the dialog. Note: changes are not automatically saved.

The buttons perform the following functions:
  • Up: move the selected Action one up in the Action List.
  • Down: move the selected Action one down in the Action List
  • New: add a new Action at the end of the Action List
  • Duplicate: make a copy of the selected Action and add the Action at the end of the Action List
  • Update: update the selected Action with the corresponding values on the dialog.
  • Delete: delete the selected Action
  • Clear: delete all Actions.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Pattern

The area inside the red rectangle is the Pattern section.

Program Pattern

The pattern section consists of a field that shows the filename of pattern of the selected Action. You can change the Filename field by typing a new filename or by pressing the ... button to browse for a new pattern. After you change the Filename field, press the Update button to save the filename in the selected Action in the Action List.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Variations

The area inside the red rectangle is the Variations section.

Program Variations

The Variations List shows the list of variations and whether they are on or off. The Variations are applicable to the selected Action. This is different from the CB-1 where the variations are applicable for all positioning entries.

You can modify the selected Variation. Press Toggle to change the value of the selected Variation in the Variations List.

The Up and Down buttons move the selected Variation one up or down respectively.

When done changing Variations, press Update to copy the Variations to the selected Action.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Destination

The area inside the red rectangle is the Destination section.

Program Destination

The Destination section consists of five fields:
Top: the topmost field. The Top field contains the topmost row of the Destination. The value of Top must be the same or higher as the value of Bottom. When no value is given for the Top field, its value will be calculated as the value of Bottom + the height of the Source.
Left: the leftmost field. The Left field contains the leftmost stitch of the Destination; values between 1 and 200. When no value is given for the Left field, its value will be 1.
Right: the rightmost field . The Right field contains the rightmost stitch of the Destination. The value of Right must be the same or higher as the value of Left. When no value is given for the Right field, its value will be calculated as the value of Left + the width of the Source. For all over patterning enter 1 in the Left field and 200 in the Right field.
Bottom: the field above the FNP field. The Bottom field contains the start row of the Destination. Values start at 1.. When no value is given for the Bottom field, its value will be 1.
FNP (First Needle Position): the FNP field contains the number of the needle where pattern repetitions start. The value of FNP must be between Left and Right. When no value is given for FNP, the value of FNP will be the value of Left assuming pattern positioning. In case of all over patterning, FNP will be calculated as per page 22 of the KH970 user manual (middle needle of pattern on needle 101).

When the size of the Destination is not the same as the size of the Source, truncation in both rows and stitches will be done. Also, repetition will be done if the Destination is larger than the Source, both vertical and horizontal.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Source

The area inside the red rectangle is the Source section.

Program Source

The Source section consists of four fields:
Top: the topmost field. The Top field contains the topmost row of the Source. The value of Top must be the same or higher as the value of Bottom. When no value is given for the Top field, its value will be the number of rows of the Source.
Left: the leftmost field. The Left field contains the leftmost stitch of the Source. Values start at 1. When no value is given for the Left field, its value will be 1.
Right: the rightmost field . The Right field contains the rightmost stitch of the Source. The value of Right must be the same or higher as the value of Left. When no value is given for the Right field, its value will be the width of the Source.
Bottom: the lowest field. The bottom field contains the start row of the Source. Values start at 1.. When no value is given for the Bottom field, its value will be 1.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Load

The Load function enables you to retrieve a previously saved Program as the default Program.

Program Load

The dialog above is a standard Windows file open dialog. Select the Program you want to load and press Open.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Save As

The Save As function enables you to store the default Program on your computer for later retrieval..

Program Save As

The dialog above is a standard Windows save as dialog. Type in the Filename field the name you want to assign to your Program. Press Save to store the Program on your computer.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Preview

The preview function shows how the Action List looks like if you were to save the Program right now.

Program Preview

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Examples

Variations
The Variations example shows all variations. The example also shows how to erase (part of) a design. A third topic is the creation of a border.

Squares
The squares example shows how to create a solid square and how to create a dotted square.
Two of the Squares examples have a border.

KH970 Manual
The KH970 manual page 21 onwards explains about Pattern Positioning. Page 21 sets the scene for subsequent pages. What is written for the CB-1 also applies to the CB-2. There is a small notation difference: on the CB-1 the needles are numbered yellow 100 thru 1 followed by green 1 thru 100; the CB_2 uses the value 1 thru 200 where 1 equates to yellow 100, 100 equates to yellow 1, 101 equates to green 1 and green 100 equates to 200, etc. The KH970 topic explains more about the program files you can find in the KH970 section. Not all program files are explained.

Step by Step pattern
The step by step examples guide you through selecting patterns, specifying source and destination and applying variations.
You can check whether you have done the steps right by looking at the programs in the Examples folder.

Lace
The lace example shows some of the features you can use in lace designs.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Variations

Create a program that uses fishes.stp below. The small fish needs to be deleted from the pattern and the eight variations need to be added to the pattern.

fishes source pattern

The screenshot below shows the program created to achieve the above.

fishes program

Line 1 in the Action List includes the pattern fishes.stp in the program. The pattern is positioned at row 45 stitch 15.
Next we delete the small fish from the pattern. We do this by copying some blank space on top of the small fish. Unfortunately there is not a blank space big enough to cover the small fish. Line 2 and 3 copy blank space from the left bottom corner of fishes.stp on top of the small fish.
Line 4 adds the Double Width variation
Line 5 adds the Double Length variation
Line 6 adds the Reverse variation
Line 7 adds the Upside Down variation
Line 8 adds the Mirror Image variation
Line 9 adds the Negative variation
Line 10 adds the Rotation variation
Line 11 adds the Reflection variation
Note that the minimum values of Left and Bottom are both 3. This prepares a border of 2 stitches around the target design. The border can be completed by adding the pattern file fishes.stp once more; Destination Left 120, Bottom 214; Source Left 1, Right 1, Bottom 1, Top 1.

fishes the pattern

The program will result in the pattern above.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


KH970 manual

This topic enumerates the program files created to show how the positioning functionality of the CB-1 can be achieved in the CB-2 using similar programming than the CB-1.

pg22-1.TXT - all over patterning cherries (105)
pg22-2.TXT - all over patterning feet (99)
pg22-3.bmp - preview of pg22-2.TXT; note 14 stitches right of the middle, 13 stitches left
pg23-1.TXT - three cherries, one foot positioned
pg23-2.TXT - one cherry, one foot positioned
pg23-3.TXT - one cherry, one foot positioned; foot truncated
pg28-1.TXT - all over patterning cherries
pg28-2.TXT - all over patterning cherries reversed
pg28-3.TXT - one foot, one cherry positioned
pg28-4.TXT - one foot, one cherry positioned; both reversed
pg28-5.TXT - one foot, one cherry positioned; foot reversed
pg29-1.TXT - all over patterning cherries
pg29-2.TXT - all over patterning cherries; cherry mirrored
pg29-3.TXT - all over patterning cherries; FNP 5
pg29-4.TXT - all over patterning cherries; cherry mirrored, FNP 5
pg29-5.TXT - two cherries and three cherries positioned
pg29-6.TXT - one cherry and 1.5 cherry positioned; mirrored
pg29-7.TXT - three cherries, vertical repeat
pg29-8.TXT - three cherries, vertical repeat; upside down
pg29-9.TXT - three cherries; reflection
pg30-1.TXT - all over patterning cherries
pg30-2.TXT - three cherries double width
pg30-3.TXT - all over patterning cherries; FNP 86
pg30-4.TXT - all over patterning cherries; FNP 86, double width
pg30-5.TXT - two separate cherries positioned
pg30-6.TXT - two separate cherries positioned; double width
pg30-7.TXT - two cherries and one cherry positioned
pg30-8.TXT - two cherries and one cherry positioned; double height
pg31-1.TXT - one cherry
pg31-2.TXT - one cherry rotated
pg31-3.TXT - all over patterning cherries
pg31-4.TXT - all over patterning cherries; rotated
pg31-5.TXT - one foot one cherry positioned
pg31-6.TXT - one foot one cherry positioned; rotated
pg31-7.TXT - three cherries positioned
pg31-8.TXT - three cherries positioned; negative

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Squares

Solid Square

Create a solid square with a two stitch border.
The screen shot below shows the program to create a solid square with border.

solid square program

We use two designs for this task: KH970.519 which is a two stitch, single row design that contains one selecting and one not selecting stitch and KH970.524 which is a one stitch, two row design that contains one not selecting stitch and one selecting stitch.

Line 1 in the Action List creates the bottom horizontal part of the square. The source is the left stitch of 519 which is copied to needles 3 thru 7 in row 3. This creates a left border of 2 stitches and a bottom border of 2 stitches.
Line 2 in the Action List creates the left side of the square. The source is the top stitch of 524 which is copied to needle 3 in row 4 thru 6.
Line 3 in the Action List creates the top side of the square. The source is the left stitch of 519 which is copied to needles 3 thru 7 in row 7.
Line 4 in the Action List creates the right side of the square. The source is the top stitch of 524 which is copied to needle 7 in row 4 thru 6.
To create the border above and to the right of the design we need to put a not selecting stitch at the position max stitch + 2, max row + 2.
Line 5 in the Action List adds the 2 stitch border above and to the right of the design. The source is the not selecting stitch of 524 which is copied to stitch 9, row 9.
We could have used design 519, right stitch in this case with the same end result.

solid square, the pattern

The program will result in the pattern above.

Dotted Square

Create a dotted square with a two stitch border.
The screen shot below shows the program to create a dotted square with border.

dotted square program

We use two designs for this task: KH970.519 which is a two stitch, single row design that contains one selecting and one not selecting stitch and KH970.524 which is a one stitch, two row design that contains one not selecting stitch and one selecting stitch.

Line 1 in the Action List creates the bottom horizontal part of the square. The source is design 519 which is copied to needles 3 thru 7 in row 3 (2.5 times). This creates a left border of 2 stitches and a bottom border of 2 stitches.
Line 2 in the Action List creates the left side of the square. The source is design 524 which is copied to needle 3 in row 4 thru 6 (1.5 times).
Line 3 in the Action List creates the top side of the square. The source is design 519 which is copied to needles 3 thru 7 in row 7 (2.5 times).
Line 4 in the Action List creates the right side of the square. The source is design 524 which is copied to needle 7 in row 4 thru 6 (1.5 times).
To create the border above and to the right of the design we need to put a not selecting stitch at the position max stitch + 2, max row + 2.
Line 5 in the Action List adds the 2 stitch border above and to the right of the design. The source is the not selecting stitch of 524 which is copied to stitch 9, row 9.
We could have used design 519, right stitch in this case with the same end result.

dotted square, the pattern

The program will result in the pattern above.

Double Dotted Square

Create a double dotted square.
The screen shot below shows the program to create a double dotted square.

double dotted square program

We use design KH970.45 for this task. Design 45 is a two stitch design with lots of rows. We use the bottom two rows.
Line 1 in the Action List creates the bottom horizontal part of the square. Design 45 is copied to needles 1 thru 7 in row 1 (3.5 times).
Line 2 in the Action List creates the top horizontal part of the square. Design 45 is copied to needles 1 thru 7 in row 6 (3.5 times). Note that the first needle position is not 1, but 2!
Line 3 in the Action List creates the left side of the square. Design 45 is copied to needle 1 in row 3 thru 5 (1.5 times).
Line 4 in the Action List creates the right side of the square. Design 45 is copied to needle 6 in row 3 thru 5 (1.5 times). Note that the first needle position is 7!

double dotted square, the pattern

The program will result in the pattern above.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Step by Step

The step by step topic shows the steps required to create a program. In the Examples folder, you find the pattern fishes.stp. This pattern shows a large fish and a small fish. In case you have never seen this pattern, load fishes.stp in the main dialog of CB-2 Utility. The objective of this step by step is to create a design with 2 small fishes, one swimming to the left and a bit further to the right and a bit higher two fishes swimming to the right. We create a single design that can be manipulated (fe centered) by the Download functionality of the CB-2.
 fishes swimming left anf right

Start CB-2 Utility. It is assumed the Control Box 2 dialog shows up.
Press the Program button. The Program dialog shows up.
In the Action List you see the Actions of the default program (may be none).
Press the Clear button to empty the Action List.
The Action List has now one entry with Filename "New Row", the rest of the properties is empty.
<Set Filename>
Press ... to browse for fishes pattern. The Control Box 2 choice shows up.
Press Browse.... The "Select pattern file" dialog shows up.
Locate the file fishes.stp in the Examples folder and select fishes.stp. Press Open to load the pattern and leave the dialog.
You are returned to the Program dialog. The Filename field is now filled with fishes.stp prefixed by the full path of the Examples folder.
<Filename Set>
The small fish can be found between x,y coordinates 41,1 and 60,30.
Type 41 in the Source Left field. Type 60 in the Source Right field. Type 1 in the Source Bottom field. Type 30 in the Source Top field.
We can leave all Destination fields empty as we want the first fish positioned at 1,1.
At this point we have done all our work for the first Action.
Press Update to include our changes in the Action List. You see the changes in row one of the Action List.
Press the New button to create a new Action. The Action List has now a second entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 41 in the Source Left field. Type 60 in the Source Right field. Type 1 in the Source Bottom field. Type 30 in the Source Top field.
Type 26 in the Destination Left field. Type 65 in the Destination Right field. Type 10 in the Destination Bottom field.
We need to turn on the Reverse variation to make the two fishes swim to the right,
Click on Reverse in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Reverse On.
At this point we have done all our work for the second Action.
Press Update to include our changes in the Action List. You see the changes in row two of the Action List.

At this point we have completed our program. We need to save our program. There are 2 save functions. Firstly we can use the Save As button, which saves the program under the name you specify on a disk or on a stick. Secondly we can make our program the default program by pressing the OK button. In the second case, our program is saved and we are returned to the Control Box 2 dialog with our just created program already loaded.
In the first case you will see a standard Save As dialog. In the Filename field you replace the * with a name of your choice. Press Save to save our just created program. You can load this program in the Control Box 2 dialog. Press Close to return to the Control Box 2 dialog.

After all the above you should get:

feet the pattern

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Step by Step

The step by step topic shows the steps required to create a more advanced program. Pattern KH970, 99 is a left foot. The objective is to create a left and right foot that walk down, a left and right foot that walk left, a left and right foot that walk right and a left and right foot that walk up. If we create these designs around a central square, we can put a cherry (KH970, 105) in the middle. We create a single design that can be manipulated (fe centered) by the Download functionality of the CB-2.
 feet plus cherry

Start CB-2 Utility. It is assumed the Control Box 2 dialog shows up.
Press the Program button. The Program dialog shows up.
In the Action List you see the Actions of the default program (may be none).
Press the Clear button to empty the Action List.
The Action List has now one entry with Filename "New Row", the rest of the properties is empty.
<Set Filename>
Press ... to browse for KH970 pattern 99. The Control Box 2 choice shows up
Press KH970 to browse the KH970 inbuilt patterns. The "Select Pattern - KH970" dialog shows up.
Type 99 in the Pattern Number field and press the Preview button. The foot is displayed in the middle of the "Select Pattern - KH970" dialog.
Press Select to select pattern 99 and to leave the dialog.
You are returned to the Program dialog. The Filename field is now filled with KH970_99.bpf prefixed by the name of your temp folder. KH970_99.bpf is a temporary file used to create the final program file.
<Filename Set>
We will start with the feet walking up. The left position of the feet walking up is the height of pattern 99 (56) + 1 = 57; the width of pattern 99 is 27 stitches. The bottom position is 1 + 56 (for the feet walking down) + 2*27 (for the feet walking left and right) = 111.
Type 57 in the Destination Left field. Type 111 in the Destination Bottom field.
We need to turn on the Mirror Image variation to create a right foot from a left foot,
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
At this point we have done all our work for the first Action (feet walking up).
Press Update to include our changes in the Action List. You see the changes in row one of the Action List.

Next we will do the feet walking down. The left position is the same as the left position of the feet walking up; the bottom position is 1 (the default bottom position).
Press the New button to create a new Action. The Action List has now a second entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Left field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Upside Down variation to make the feet walk down instead of up. Note that the left foot becomes a right foot and the right foot becomes a left foot.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Upside Down in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Upside Down On.
As we stated we would do the Mirror Image first, we need to change the order.
Press the Down button to exchange Upside Down and Mirror Image.
At this point we have done all our work for the second Action (feet walking down).
Press Update to include our changes in the Action List. You see the changes in row two of the Action List.

Next we will do the feet walking left. The left position is 1 (the default left position). The bottom position is 1 + 56 (height of the feet walking down).
Press the New button to create a new Action. The Action List has now a third entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Bottom field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Rotation variation to turn the feet 90 degrees counterclockwise.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Rotation in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Rotation On.
At this point we have done all our work for the third Action (feet walking left).
Press Update to include our changes in the Action List. You see the changes in row three of the Action List.

The fourth item will be the feet walking right. The left position is 1 + 56 (width of feet walking left) + 2*27 (width of two feet) = 111. The bottom position is 1 + 56 (height of the feet walking down).
Press the New button to create a new Action. The Action List has now a fourth entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Bottom field. Type 111 in the Destination Left field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Upside Down variation to "rotate over 180 degrees". Lastly we need to turn on the Rotation variation to turn the feet 90 degrees counterclockwise.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Upside Down in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Upside Down On.
Click on Rotation in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Rotation On.
At this point we have done all our work for the fourth Action (feet walking left).
Press Update to include our changes in the Action List. You see the changes in row four of the Action List.

The square in the middle has coordinates left 57, right 110, bottom 57, top 110, which is a square of 54 rows by 54 stitches. Pattern 105 is 40 rows by 20 stitches, which means the left margin is (54-20)/2 = 17 stitches and the bottom margin is (54-40)/2 = 7 rows.
Press the New button to create a new Action. The Action List has now a fifth entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above, but use 105 instead of 99.
Type 64 in the Destination Bottom field. Type 74 in the Destination Left field.
That is all for the cherry.
Press Update to include our changes in the Action List. You see the changes in row five of the Action List.

At this point we have completed our program. We need to save our program. There are 2 save functions. Firstly we can use the Save As button, which saves the program under the name you specify on a disk or on a stick. Secondly we can make our program the default program by pressing the OK button. In the second case, our program is saved and we are returned to the Control Box 2 dialog with our just created program already loaded.
In the first case you will see a standard Save As dialog. In the Filename field you replace the * with a name of your choice. Press Save to save our just created program. You can load this program in the Control Box 2 dialog. Press Close to return to the Control Box 2 dialog.

After all the above you should get:

feet the pattern

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Lace

The primary difference between lace patterns and other patterns is that the pattern rows are knitted by the L carriage. The fabric rows in a lace pattern are knitted by the K carriage with the Change Knob set to N.L. For other patterns, the K carriage is the only carriage used and the Change Knob is set to KC(I) or KC(II). The number of fabric rows to knit in a lace pattern is stored in the memo value of the last row of a lace sequence. The row number with the memo value is always even. The number of rows in a lace sequence is also always even.

When you program a lace pattern, you need to make sure that you do not overwrite the memo values.

In the Lace example we make a program that constructs a square of yarn overs around a pattern. For simplicity we use KH970 pattern 133. Pattern 133 has lace sequences of 4 rows where the last row contains the memo value 2, which means 2 fabric rows. Exception is the last row which has memo value 8.
Before we start, you need to know that a design called Plain_in_Lace.txt can be found in the CB-2\txt folder in My Designs. Plain_in_Lace.txt is a lace design that contains one stitch and a number of two lines with memo values 2, 4, 6 and 8. You can use Plain_in_Lace.txt as a source design to add additional fabric lines to your program. The stitch in Plain_in_Lace.txt is a yarn over where you need at least one not selecting needle next to it.

The plan:
1. construct the bottom border
2. load and position KH970, 133
3. replace the memo number in the last row of KH970, 133 by 2
4. set the left column of yarn overs
5. set the right column of yarn overs (yarn over in opposite direction)
6. construct the bottom yarn overs
7. construct the top border
8. construct the top yarn overs

The programming: (flower_border.txt example, line numbers refer to lines in the Action list)
1. Line 1 creates 2 L carriage passes and 2 K carriage passes.
Width is set to 5 + 12 + 1 + 5 = 23; left border, pattern 133, blank, right border.
Line 2 creates the lace sequence for the bottom border (4 * L, 2 * K).
Line 3 creates 2 L carriage passes and 2 K carriage passes.
2. Line 4 loads pattern KH970, 133 to row 1+2+2+2, 1+5 (7,6)
2 for line 1, 4 for line 2 and 2 for line 3.
3. Line 5 overwrites the last 2 lines in pattern 133.
1+2+2+2+72-2 = 77
4. In line 6 we use a portion (1 stitch) of pattern 133 which has the format 4 * L and 2 * K
5. In line 7 we use a portion (1 stitch) of pattern 133 which has the format 4 * L and 2 * K;
the difference is that the yarn overs are in the opposite direction.
6. The bottom border will have half of the yarn overs move to the left (row 3) and the other half to the right (row 4).
In line 8 we use KH970 pattern 519 to program the yarn overs moving left
In line 9 we use KH970 pattern 519 to program the yarn overs moving right
Note that these rows didn't have memo numbers.
7. Line 10 creates the lace sequence for the top border (4 * L, 2 * K).
Line 11 creates 2 L carriage passes and 2 K carriage passes.
8. The top border will have half of the yarn overs move to the left (row 79) and the other half to the right (row 80).
In line 12 we use KH970 pattern 519 to program the yarn overs moving left
In line 13 we use KH970 pattern 519 to program the yarn overs moving right
Note that these rows didn't have memo numbers.

Once you have done all steps, you have the example below:

lace example

Last Modification: March 16, 2019 © 2002,2019 Computerservice SSHS BV.


Program Messages

A program consists of a header containing a signature etc, Action lines and the pattern resulting from the program.
The final pattern is built by interpreting the Action lines. A pattern is built in three cases: when the user presses OK, the default program is regenerated; when the user presses Save As, a program under the specified name is generated; when the user presses Preview, the preview program is generated.

The Action lines refer to external patterns or inbuilt patterns. External patterns are recorded with a full path or a path that starts with the Personal Folder path in case the pattern is stored in a folder that is on the Personal Folder path. This makes the programs portable to an other computer without changing them. You must obviously makes sure that the patterns referenced in a program are on the other computer.
CB-2 Utility creates temporary files for inbuilt patterns. These files are stored in the temp folder of the machine where CB-2 Utility resides. When you get a program from someone else, you need to browse for the knitting machine patterns mentioned in the program. The browse functionality (re-)creates the temporay files.

Personal Folder Error

You see above message when the pattern in the Personal Folder isn't in the Personal Folder. Browse your computer for the pattern specified, press the Update button and you have resolved above error.

Temprary Folder Error

You see above message when the pattern in the Temporary Folder isn't in the Temporary Folder. Browse the knitting machine for the pattern, press the Update button and you have resolved the error. When a pattern is used more than once, you only have to browse once for the pattern.

Some errors that may occur:

-3 : file doesn't exist
-4 : Incorrect signature
-7 : File Structure error
-10: Cable error
-100: Filetype not (yet) supported.

Last Modification: Sep 1, 2018 © 2002,2018 Computerservice SSHS BV.


Transférer

Après avoir cliqué sur le bouton Transférer dans la fenêtre de dialogue Control Box 2, le motif va se transférer à la boîte Control Box 2. La figure ci-dessous montre les paramètres par défaut du transfert. Ces paramètres sont courants pour les motifs Fairisle (jacquard simple fonture)

Si vous avez un motif Fairisle, vous choisissez une machine à tricoter, cliquez sur OK et le transfert démarre.

Pendant le transfert, vous voyez la progression dans la boîte de dialogue Progression du téléchargement.
Les champs Nombre rangs et Nombre mailles indiquent les nombres de rangs et de mailles effectivement transmis à la boîte Control Box 2. Les valeurs dans ces champs peuvent être différentes des nombres de rangs et de mailles du motif suite à l'application des options sélectionnées (voir aussi le paragraphe Note ci-dessous).
Le champ Rang actuel indique le rang en cours de transfert.
La barre de progression indique le pourcentage de transfert effectué.
Vous pouvez interrompre le transfert en cliquant sur Annuler. Un deuxième clic sur le bouton Annuler fermera la boîte de dialogue Progression du téléchargement

Quand le transfert est terminé, le bouton OK, qui était en grisé pendant le transfert, sera disponible. Appuyez sur OK pour confirmer que vous voulez tricoter le motif transféré pour que le motif puisse être utilisé par la fonction Tricoter

Les pages suivantes décrivent chacune des options. La plupart des options peuvent être combinées. Lorsque des options ne peuvent pas être combinées, vous recevrez un message lorsque vous cliquez sur OK.
L'option choisie est affichée avec un aperçu de ce qu'elle donnera pendant le tricot.

Dans le champ Largeur vous précisez la largeur finale de votre tricot. Vous pouvez laisser le champ Largeur vide. CB-2 Utility calculera la largeur finale du motif après avoir appliqué vos options. Vous pouvez tricoter le motif si vous n'excédez pas la limite de la machine que vous avez choisie.

Note: Vous pouvez constater dans la boîte de dialogue Progression du téléchargement que le nombre de mailles est arrondi au prochain multiple de 16. Les mailles ajoutées sont en fil principal. Vous contrôlez le nombre de mailles réellement tricotées au moyen des curseurs de point.


Largeur

Vous pouvez spécifier la largeur finale de votre tricot dans le champ Largeur. Si vous n'entrez pas d'informations dans ce champ, CB-2 Utility calculera la largeur finale.

CB-2 Utility appliquera d'abord toutes les variations que vous aurez spécifiées (Normal, Double Largeur, Double Hauteur, Renversé, Négatif et Inversé) indiquant la largeur du motif à tricoter.
Trois cas peuvent se présenter:
1. la valeur du champ Largeur est identique à la valeur calculée.
2. la valeur du champ Largeur est inférieure à la valeur calculée.
3. la valeur du champ Largeur est supérieure à la valeur calculée.
Note: si vous n'entrez pas de valeur dans le champ Largeur, le cas 1 est d'application.

Cas 1: Valeurs identiques. Le motif sera centré au transfert. L'option Centré sera ignorée. L'option Répétition n'est pas d'application.

Cas 2: Valeur Largeur inférieure à la taille du motif. Les mailles seront tronquées de manière régulière des deux côtés jusqu'à ce que le motif corresponde à la valeur Largeur. Le motif sera centré au transfert. L'option Centré sera ignorée. L'option Répétition n'est pas d'application.

Cas 3: Valeur Largeur supérieure à la taille du motif. Dans ce cas, les options Répétition et Centré sont d'application. Le premier motif est centré si l'option Centré est activée. Sinon, le premier motif est positionné à partir de l'aiguille 1 à droite. Si l'option Répétition est activée, d'autres répétitions du motif seront ajoutées à gauche et à droite jusqu'à ce que toute la largeur soit couverte.

Note: avec un motif de 20 mailles, Largeur à 30, Centré désactivé et Répétition désactivée, les 15 mailles les plus à gauche du motif seront tricotées, les 5 mailles les plus à droite seront tronquées. Du côté gauche de la machine la couleur principale se tricotera.


Positionnement

La rubrique Largeur explique comment vous pouvez intervenir sur le tricotage de motifs sur votre machine à tricoter. Le tricotage de motifs ne se produit pas en dehors de cette zone. La pièce que vous voulez tricoter peut être plus large que cette zone. C'est ici que la fonction positionnement intervient.

Vous pouvez placer votre zone de motif n'importe où sur la machine à tricoter. Vous utilisez les deux champs Marge de la boîte de dialogue Paramètres pour définir la position de la zone de motif. Si les deux champs sont laissés vides, la zone de motif sera comme décrit dans la rubrique Largeur.

Les deux champs Marge ajoutent le nombre de mailles spécifiées à votre zone de motif. Les mailles seront tricotées avec le fil principal.

Note: pour les motifs dentelle, une marge d'au moins 1 est conseillée de chaque côté.

Exemples:

Pour placer un canard entier n'importe où sur le tricot, vous laissez vide le champ Largeur (ou vous tapez la largeur du motif) et définissez Marge Droite et Marge Gauche en fonction de la position souhaitée pour le motif et la largeur de la pièce que vous souhaitez tricoter (Largeur de la pièce = Marge Gauche + Largeur du motif + Marge Droite, 35 = 10 + 20 + 5).

Note: les options Centré et Répétition n'ont pas d'effet sur le positionnement dans ce cas. Quand la valeur Largeur est plus grande que la largeur du motif, ces options s'appliquent.

Pour déplacer le canard entier vers la gauche, vous laissez le champ Largeur vide et vous définissez une Marge Droite de 20.
Pour déplacer le canard entier vers la droite, vous laissez le champ Largeur vide et vous définissez une Marge Gauche de 20.

Pour centrer le canard tronqué de la rubrique Largeur, vous fixez à 30 le champ Largeur, à 16 le champ Marge Droite, Centré et Répétition non sélectionnés

Pour déplacer le canard tronqué à gauche, vous avez besoin d'une astuce supplémentaire: avant le premier passage de chariot, déplacez le curseur de point gauche de 16 aiguilles vers la droite (vous pouvez toujours déplacer le curseur de point à l'opposé du chariot).


Indicateurs de Motif

Vous pouvez utiliser les Indicateurs de Motif pour sélectionner une partie du motif que vous êtes prêt à télécharger.
Si vous ne remplissez pas les champs des indicateurs de motif, vous obtenez le motif complet.
Les valeurs par défaut sont:
Haut : | nombre de rangs
Bas : | 1
Gauche : | 1
Droite : | nombre de mailles

Le motif 40.bmp représente un gros canard avec 2 canards plus petits.

Pour tricoter 3 petits canards au centre d'un échantillon de 50 mailles, utilisez les réglages ci-dessous:

Avec les Indicateurs de Motif, vous avez sélectionné le petit canard au milieu du motif.

et votre tricot va ressembler à ceci:

Note: Les variations sont appliquées à la portion du motif que vous avez sélectionnée

Errors:
1001: Left > Right
1002: Bottom > Top
1003: Top > number of rows
1004: Right > number of stitches


Aperçu

Quand la sélection de plusieurs modifications est nécessaire, la fonction Aperçu peut être très pratique pour vérifier que le motif sera tel que vous le souhaitez.

L'image ci-dessous présente l'aperçu de l'exemple utilisé dans le sujet Positionnement.

Vous pouvez obtenir l'aperçu en appuyant sur le bouton Aperçu situé dans la boîte de dialogue Réglages.


Normal

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Double Hauteur

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera sur les aiguilles 1-20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal. Chaque rang sera tricoté deux fois.
Une fois le rang 40 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Double Largeur

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 20 à gauche du centre à l'aiguille 20 à droite du centre. Notez que le motif est centré parce que le nombre de mailles du motif reçu par la boîte Control Box 2 est identique à la valeur Largeur.
Une fois le rang 20 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Renversé

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Inversé

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Motif + Blanc

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 21 à l'aiguille 40 à droite du centre; les aiguilles 1-40 à gauche du centre et les aiguilles 1-20 à droite du centre tricoteront le fil principal.
Une fois le rang 19 tricoté, Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-40 à gauche du centre et les aiguilles 21-40 à droite du centre tricoteront le fil principal.
Une fois le rang 40 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Négatif

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Echange

Le motif chargé détermine quel fil est le fil principal (guide fil 1) et quel fil est le fil de contraste (guide fil 2). Ceci peut être plutôt gênant dans certains cas. La fonction Echange vous permet d'intervertir le fil principal et le fil de contraste avant d'appliquer les autres variations. La fonction Echange est différente de la fonction Négatif

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif sera tricoté de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.

La fonction Echange peut être très utile pour les motifs bicolores qui ont une inversion entre fil principal et fil contrastant. Supposez que vous ayez un motif avec un canard jaune sur un fond bleu où la couleur principale est jaune et la couleur de contraste bleue. La variation Echange vous permet de tricoter un canard jaune sur un fond bleu.


Odd stitch left

The majority of patterns is designed with an even number of stitches. The design itself is actually an odd number of stitches. Repetitions are achieved by sharing the left or right border stitch and/or top or bottom border stitch. The sharing works very well with top and bottom border stitches. For left or right border stitches, it may or may not work. In order to complete a pattern, you need to use the next stitch in a repetition. Example: if you have a pattern of 8 stitches, you specify you knit 9 stitches. If you have repetitions enabled, the extra stitch will be added for you.
Below you see 2 patterns both 8 stitches wide and 8 stitches high.
You see immediately that, if you turn on Wrap, after the last row is knitted, the first row will be knitted again. The first row fits nicely on top of the last row. The first row can be used as terminating row of the pattern and also as start row for the next vertical repetition.
You also see that for the left hand pattern, you need to use the leftmost stitch to complete the pattern, where on the right hand pattern, you need to use the rightmost stitch as the first stitch to get a complete pattern.
Without the Odd Stitch Left variation, you will get the following knitting scheme for 9 stitches:
After turning on the Odd Stitch Left variation, you get:

Note: the variations Center and Repeat were also on when above pictures were taken.

Dernière Modification: 11 Mar 2018 © 2002,2018 Computerservice SSHS BV.


Miroir

Le motif duck20_2.pat est un motif jacquard 2 couleurs double fonture. CB-2 vous permet de tricoter ce motif comme un jacquard simple parce que les motifs ne sont pas sauvés sous leur forme séparée.

Le motif se tricotera de l'aiguille 20 à gauche du centre à l'aiguille 20 à droite du centre.
Une fois le rang 20 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Miroir Vertical

Le motif duck20_2.pat est un motif jacquard 2 couleurs double fonture. CB-2 vous permet de tricoter ce motif comme un jacquard simple parce que les motifs ne sont pas sauvés sous leur forme séparée.

Le motif se tricotera de l'aiguille 20 à gauche du centre à l'aiguille 20 à droite du centre.
Une fois le rang 40 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Birdseye Gauche

Le motif duck19.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

lorsque votre motif a plus de 2 couleurs, vous pouvez recevoir l'advertissement ci-dessous. La variation de birdseye sera rejeté.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 19 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Chevron

Le motif duck20_2.pat est un jacquard 2 couleurs double fonture. CB-2 vous permet de tricoter ce motif en jacquard simple parce que les motifs ne sont pas sauvés dans leur fome séparée.

Le motif se tricotera de l'aiguille 19 à gauche du centre à l'aiguille 20 à droite du centre; l'aiguille 20 à gauche du centre tricotera le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.
Veuillez noter le chevauchement d'une maille entre le motif normal et le motif inversé.
Note: le motif est centré pour montrer le résultat.


Réflection

Le motif duck20_2.pat est un motif jacquard deux couleurs en double fonture. CB-2 vous permet de tricoter ce motif comme un jacquard simple parce que les motifs ne sont pas sauvés sous leur forme séparée.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 39 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.
Veuillez noter le chevauchement d'une maille entre le motif normal et le motif renversé.

Dernière Modification: 8 Mai 2019 © 2002,2019 Computerservice SSHS BV.


Birdseye Droite

Le motif duck19.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

lorsque votre motif a plus de 2 couleurs, vous pouvez recevoir l'advertissement ci-dessous. La variation de birdseye sera rejeté.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Une fois le rang 19 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Centré

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 10 gauche à l'aiguille 10 droite; les aiguilles 11-20 à gauche du centre et 11-20 à droite du centre tricoteront le fil principal.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Répétition horizontale

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera à gauche et à droite du centre. Le motif se répétera autant de fois que nécessaire. Il peut y avoir une répétition partielle des deux côtés.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Répétition verticale

Le motif duck19_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Le motif duck19_2.pat contient un nombre impair de rangs. Pour que le motif ait un nombre pair de rangs, il est copié, ce qui lui donne ce nombre pair de rangs.
Une fois le rang 38 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Position

The CB-2 has three ways to postion the pattern you want to knit. We have seen already Centered and Normal. The third method enables you to specify the position of the pattern.

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 5 right of the middle through needle 25 right of the middle; needle 25 through needle 1 left of the middle and needle 1 through 4 right of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

It is also possible to enter a negative number. For the picture below, the value -3 was entered.

End result is that the pattern starts at needle 3 left of the middle.

Pattern Bergere3.txt is a 19 stitch lace pattern.

Assume we want to repeat this patterns twice and add the right most four sticthes to the left of the two repetitions.

Set Width to 42 (2 * 19 + 4). Turn off Centered; turn on Repeat. Make sure the right side of the pattern is at the right side of the 42 stitches. You can do this by setting Position to 3. This means that the first pattern for repetitions is not set at 1, but at 3.

Last Modification: Feb 6, 2018 © 2002,2018 Computerservice SSHS BV.


Jacquard Double

Les motifs Jacquard sont tricotés par paires.
Le tricot commence du côté opposé du changeur de couleurs. Après avoir tricoté la première rang, le chariot entre dans le changeur de couleurs pour prendre la deuxième couleur, après quoi la première rang et la deuxième rang sont tricotées. Le chariot entre dans le changeur de couleurs et prend la troisième couleur. La première et la deuxième rang sont tricotées avec la couleur 3. Enfin, après avoir tricoté la couleur 3, le chariot entre dans le changeur de couleurs et reprend la première couleur. Une fois que la deuxième rang est tricotée avec la première couleur, les deux rangs sont complètement tricotées.
Ce schéma est appelé 1,2,2,3,3,1. Il est aussi possible de tricoter 1,2,2,3,3,4 où 4 est une nouvelle couleur.
Le schéma pour 2 couleur jacquard est 1,2,2,1 ou 1,2,2,3.
Le schéma pour 4 couleur jacquard est 1,2,2,3,3,4,4,1 ou 1,2,2,3,3,4,4,5.

Le processus de division d'un dessin multicolore en couleurs individuelles est appelé séparation.

Le logiciel CB-2 séparera des motifs jacquard 2 et 3 couleurs par rang .Notez que la séparation peut conduire à une séquence de fils telle que 1,2,2,3,3,1,1,3,3,2,2,1.

Le CB-1 ne prend pas en charge la séparation automatique de motifs avec plus de 3 couleurs par rang.
Le CB-2 soutient des motifs 4 couleurs par rang Jacquard via un mécanisme appelé Feeders. Feeders n’est pris en charge que par un nombre limité de formats.DesignaKnit prend en charge les feeders via la sélection de menu Afficher le numéro de fil et les feeders. La séquence de couleurs indiquée est la séquence utilisée pour tricoter le motif. Il y a une exception: dans le cas où un motif n'est pas tricotable, mais tricotable en inversant les couleurs du milieu, le logiciel CB-2 inversera les couleurs au milieu.
La fonction Feeders est disponible dans les fichiers .PAT et .STP.

L'installation d'alimentation est également disponible dans les fichiers .TXT. Spécifiez l'option $feeders en haut du fichier et 6 octets par ligne à la fin de chaque ligne.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Jacquard Double, 2 & 3 couleurs

Le motif duck20.stp est un motif Jacquard de 3 couleurs.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Le motif est séparé par CB-2. Pour le jacquard double (en double fonture) il n'est pas nécessaire de doubler les rangs.
Une fois le rang 60 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Jacquard Double, 4 couleurs

Le motif _feed4.stp est un motif Jacquard de 4 couleurs.

Le motif ci-dessus a le schéma de couleurs 1,2,2,3,3,4,4,5.

Le motif se tricotera de l'aiguille 1 à l'aiguille 16 à droite du centre; les aiguilles 1-16 à gauche du centre tricoteront le fil principal.
Le motif est séparé par CB-2 conformément à la section Feeders du fichier.
Une fois le rang 16 terminé, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.

Remarque: les couleurs du milieu des rangs 3 et 4 sont échangées.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Point Fil tiré

Le motif duck20_2.pat est un jacquard 2 couleurs.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Le motif duck20_2.pat présente un petit problème: pour tricoter un point Maille glissée, le motif doit être tel que le rang 1 soit le même que le rang 2, le rang 3 soit le même que le rang 4, etc.
Déjà les rangs 1 et 2 ne remplissent pas cette condition. Vous pouvez résoudre ce problème en activant la Double Hauteur.
Une fois le rang 76 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.
Vous pouvez vous demander pourquoi le nombre total de rangs n'est pas de 80 (Les 20 rangs du motif, 20 rangs supplémentaires pour la Double Hauteur, et le double encore à la suite de la séparation). Réponse: les rangs où seul le fil principal se tricote ne sont doublés qu'une seule fois.


Point Fil Tiré Double fonture

Le motif duck20_2.pat est un jacquard 2 couleurs.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Le motif duck20_2.pat présente un petit problème: pour tricoter un point Maille glissée, le motif doit être tel que le rang 1 soit le même que le rang 2, le rang 3 soit le même que le rang 4, etc.
Déjà les rangs 1 et 2 ne respectent pas cette condition. Vous pouvez résoudre ce problème en activant la Double Hauteur.
Une fois le rang 80 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Jacquard

Le motif duck20_2.pat est un motif jacquard à deux couleurs.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1 à 20 à gauche du centre tricoteront le fil principal.
Une fois le rang 38 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.

Cette méthode de tricotage est équivalente à la méthode de tricotage du Jacquard du PC10. Vous pouvez tricoter des motifs avec jusqu'à 6 couleurs différentes par rang.
Note: tous les motifs Jacquard ne conviennent pas pour tricoter avec cette méthode. S'il vous plait, tenez compte de la présence des fils flottants!


Jacquard Ribber

Le motif duck20_2.pat est un motif jacquard à deux couleurs.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1 à 20 à gauche du centre tricoteront le fil principal.
Une fois le rang 40 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.

Cette méthode de tricotage est équivalente à la méthode de tricotage du Jacquard du PC10. Vous pouvez tricoter des motifs avec jusqu'à 6 couleurs différentes par rang.


Aiguilles des extrémités

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas éparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal. Les aiguilles des extrémités se tricoteront en fil contraste.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Chariot à Gauche

Le motif duck20_2.pat est un jacquard deux couleurs. CB-2 vous permet de tricoter ce motif en Fairisle (jacquard simple). Ceci est possible parce que les motifs ne sont pas séparés quand ils sont sauvés.

Le motif se tricotera de l'aiguille 1 à l'aiguille 20 à droite du centre; les aiguilles 1-20 à gauche du centre tricoteront le fil principal.
Le chariot démarre à gauche comme le montre l'image du chariot qui est maintenant à gauche de l'écran, contrairement à normal où le chariot démarre du côté droit.
Une fois le rang 20 tricoté, si l'option Répétition Verticale est sélectionnée, le motif recommence au premier rang sans intervention de l'utilisateur.


Dentelle

The separate Brother lace (L) carriage doesn't work the same as the Silver Reed integrated LCxxx carriage.

The Brother L carriage does yarn overs only. The Silver Reed LCxxx carriage can do a yarn over and knit at the same time. When multiple yarn overs are required, you need to do multiple carriage passes with the Brother L carriage. The Silver reed LCxxx carriage with dial on P knits yarn overs only.
Another difference between Brother and Silver Reed knitting machines is that Brother knitting machines work on preselection where Silver Reed knitting machines knit real time.

Brother Lace carriages support 2 types of lace operated by the Lace Change Lever: normal lace (N) and fine lace (F).
When knitting normal lace, stitches are transferred to the next needle; when knitting fine lace, stitches are extended to the next stitch.

Lace patterns, like 108 thru 205 in Stitch World Pattern Book III, are fully supported.
These lace designs are encoded separated where the rows correspond to lace carriage passes and the memo numbers indicate K carriage passes.
The on screen carriage will be L carriage or K carriage as appropriate. The number of rows to be knitted with the K carriage is in a small field in the middle under the design.

Les chariots dentelle Silver Reed peuvent tricoter deux types de dentelle: la dentelle simple et la dentelle avec transferts.
En dentelle simple, le chariot fait les jetés et tricote les mailles dans un même rang. En dentelle avec transferts, le chariot doit faire les jetés d'abord et ensuite tricoter les mailles.
Sur les cartes mylar, la différence entre dentelle simple et dentelle à transferts se remarque dans la colonne A. La dentelle à transferts comporte des carrés noirs dans la colonne A uniquement pour les jetés alors que la dentelle simple n'a aucun carré noir dans la colonne A.

CB-2 supports both simple lace, fashion lace and a combination thereof. CB-2 also supports both normal lace, fine lace and a combination thereof. Trois formats de fichiers supportent des motifs dentelle: Documents Texte (TXT), Stitch Painter (STC) et DesignaKnit (STP)

Dernière Modification: 24 Dec 2017 © 2002,2017 Computerservice SSHS BV.


Dentelle Simple

Simple.stc est un motif de dentelle simple créé avec Stitch Painter.

Quand vous transfèrez le motif, vous vous apercevez que la plupart des variations ne sont pas possibles.

Pendant le transfert, le champ Largeur était vide. CB-2 utilise le nombre de mailles du motif comme largeur du tricot.

Simple lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Note: above design has lace stitches in row 3 and row 4. The stitches in row 3 and 4 are combined into row 3 during knitting.

Dernière Modification: 13 Mars 2018 © 2002,2018 Computerservice SSHS BV.


Dentelle à transferts multiples

Fashion.stp est un motif dentelle à transferts multiples, créé avec DesignaKnit et le module dentelle.

Quand vous transfèrez le motif, vous vous apercevez que la plupart des variations ne sont pas possibles.

Pendant le transfert, le champ Largeur était vide. CB-2 utilise le nombre de mailles du motif comme largeur du tricot.

Fashion lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Dernière Modification: 13 Mars 2018 © 2002,2018 Computerservice SSHS BV.


Dentelle combinée

Combined.txt est un motif de dentelle combinée créé avec le Bloc Notes de Microsoft.

Quand vous transfèrez le motif, vous vous apercevez que la plupart des variations ne sont pas possibles.

Pendant le transfert, le champ Largeur était vide. CB-2 utilise le nombre de mailles du motif comme largeur du tricot.

La dentelle combinée peut avoir des rangs de jetés uniquement, des rangs de jetés et de tricot et des rangs sans jetés.

Combined lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Dernière Modification: 13 Mars 2018 © 2002,2018 Computerservice SSHS BV.


Normal Lace

970-119.txt is a normal lace pattern created with Notepad. You specify $memo as second line in the file. The rows become one character longer. The extra character is the memo number for the row. The stitches are represented as 0 and 1. The digit 1 shows the selections.
The extra character shows a number for the last row of a lace row set, similar as you can find in Stitch World Pattern Book III. For other rows, the number is 0.

This design can also be represented with lace symbols.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Normal lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Mar 13, 2018 © 2002,2018 Computerservice SSHS BV.


Fine Lace

970-186.stp is a fine lace pattern created with DesignaKnit with Lace module. Fine lace can be drawn just like normal lace with holes and yarn overs. The setting of the Lace Change Lever on the lace carriage (L) determines whether you knit normal lace (N) or fine lace (F). The fine lace symbols have to be used when you want to knit mixed lace (normal and fine lace in the same design).

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Fine lace is knitted with the lace carriage (L) with the Lace Change Lever set to F. The stitches are the stitch extensions.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Jan 13, 2018 © 2002,2018 Computerservice SSHS BV.


Mixed Lace

970-194.txt is a mixed lace pattern created with Notepad. You specify $memo as second line in the file. The rows become one character longer. The extra character is the memo number for the row. The stitches are represented as 0 and 1. The digit 1 shows the selections.
The extra character gives a number for the last row of a lace row set, similar as you can find in Stitch World Pattern Book III. The F is represented by as semicolon (;) and the N is represented by a colon (:).

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Mixed lace is knitted with the lace carriage (L) with the Lace Change Lever set to F for the fine lace rows. The Lace Change Lever is set to N for the normal lace rows. The stitches are the stitch extensions or yarn overs.
There are 2 ways you can see which setting of the Lace Change Lever to use. The first is the memo field that shows N for normal lace and F for Fine lace. The second is the color of the stitches which is blue for normal lace and dark yellow for fine lace. For rows without stitches, the color is irrelevant and can be either.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Dec 25, 2017 © 2002,2017 Computerservice SSHS BV.


Multiline Lace

Pattern 144 in Stitch World Pattern Book III is a pattern that cannot be digitised using current lace symbols and lace rules. You can enter pattern 144 in DesignaKnit (970-144a.stp), but when you try to save, DesignaKnit will give you a message that there are lace transfers in both row 1 and 2. The good news is that DesignaKnit lets you save your work. In Notepad you can do the same.

Here is where you use the Multiline Lace feature of the CB-2 software. When the CB-2 recognises that a design contains multiple rows with lace symbols without blank rows in between, the CB-2 software considers those as a single lace line.
Now we have the feature of Multiline Lace, we can digitise design 144 also using the individual rows in the pattern book (970-144b.txt).

When you download the pattern, you get a message that some lace rows cannot be combined.

CB-2 software first tries to combine adjacent rows with lace stitches. Combining multiple rows into one row is to facilitate the knitting of some Silver Reed lace patterns. When you think this message is result of an incorrect design, press Cancel. In the case you have a multiline lace pattern, press OK.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Multiline lace is knitted with the lace carriage (L) with the Lace Change Lever set to F or N. The stitches are stitch extensions or yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Notes:
In txt files you have 2 options for lace patterns: a: 0 and 1 for stitches and an extra column for memo information or b: enter the pattern with lace symbols.
Question: why would you enter a design in Notepad with lace symbols?
Answer: you avoid mistakes in memo numbers.

Pattern 970-144c.stp is another digitisation of pattern 144 in Stitch World Pattern Book III. The difference with 970-144a.stp is that 970-144a.stp is optimised for number of carriage passes.

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Superimposed Lace

Pattern 144 in Stitch World Pattern Book III is a pattern that cannot be digitised using current lace symbols and lace rules. You can enter pattern 144 in DesignaKnit (970-144d.stp) as a superimposed lace pattern, but when you try to save, DesignaKnit will give you a message that there is an invalid lace sequence in row 1. The good news is that DesignaKnit lets you save your work. In Notepad you can save pattern 144 as superimposed pattern.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Superimposed lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Note 1: The superimposed lace sequences are knittted individually; there is no optimisation for lace carriage passes.

Note 2: Superimposed lace patterns can be mixed lace.

Note 3: Brother has documented Superimposed Lace in the document titled "How to use Lace cartridge".

Last Modification: Mar 13, 2018 © 2002,2018 Computerservice SSHS BV.


Dentelle spéciale

Le tricotage de la dentelle présente des cas spéciaux. Control Box 2 essaiera de tricoter le motif que vous avez dessiné si vous respectez quelques règles propres à la dentelle.

La page A ne pas faire contient des exemples à éviter parce qu'ils sont pratiquement impossibles à tricoter.

La page deux troutrous superposés (jetés) montre un exemple que vous pouvez tricoter.

La page deux troutrous adjacents (jetés) montre également un exemple que vous pouvez tricoter.


Dentelle: A Ne Pas Faire

Le motif ci-dessous contient deux jetés contigus et deux jetés l'un au-dessus de l'autre

Un tel motif se dessine sans aucun problème mais, au moment du tricot, voici ce qu'il donnera....

Si nous modifions le motif pour qu'il contienne des rangs tricotés, le problème ne sera pas résolu.


Dentelle: jetés l'un au-dessus de l'autre

Le motif ci-dessous contient deux jetés l'un au-dessus de l'autre

Un tel motif se représente sans le moindre problème et peut égalemet se tricoter.


Dentelle: jetés contigus

Le motif ci-dessous contient deux jetés contigus.

Un tel motif se dessine sans aucun problème et peut se tricoter.

Le motif ci-dessus s'inspire du motif dentelle 18 pour le LC580


Erreurs des motifs dentelle

Les erreurs dans un motif dentelle sont déterminées au moment du transfert du motif à la boîte Control Box 2

Le motif ci-dessus contient une erreur au rang 6

Un message semblable à celui-ci s'affichera si votre motif contient une ou plusieurs erreurs.
Seule la première erreur est signalée et le transfert s'arrête. Vous devez corriger cette erreur et recommencer le transfert.
La raison pour laquelle les autres erreurs éventuelles ne sont pas signalées est que la correction de la première erreur peut aussi résoudre ce que le programme aurait déterminé comme erreur suivante.


Tricot

Quand vous cliquez sur le bouton Tricoter dans la boîte de dialogue de Control Box 2 la fenêtre de progression du tricot ci-dessous s'affiche.

L'exemple ci-dessus montre un motif qui tient dans la zone mailles de la fenêtre de progression du tricot. Si votre motif est plus grand que la zone mailles, la barre de défilement horizontale de la zone mailles sera activée. Si votre motif est plus haut que la zone mailles, la barre de défilement verticale de la zone mailles sera activée. La fenêtre de progression du tricot a une taille minimum; vous pouvez modifier cette taille en faisant glisser les bords de la fenêtre de progression du tricot.

La zone mailles est divisée en 5 colonnes: numéro de rang, séparateur, mailles, séparateur, numéro de rang.
Le rang qui va être tricoté est indiqué par la sélection dans la zone mailles. La sélection est marquée par la surbrillance (en bleu) des deux colonnes de numéro de rang et un cadre rouge autour du rang.
L'image du chariot indique le côté où le chariot doit se trouver avant de tricoter le rang où il se trouve. Le chariot démarre normalement à droite sauf si vous avez spécifié 'chariot à gauche' pendant le transfert.
Vous pouvez démarrer à n'importe quel rang en cliquant sur ce rang. Si vous tricotiez quand vous cliquez sur un rang, le tricot s'arrête et le bouton Tricoter est de nouveau disponible.

Quand vous cliquez sur le bouton Tricoter, vous dites à la boîte Control Box 2 que vous avez placé les curseurs de point aux positions indiquées dans les champs Came Gauche et Came Droite. Vous pouvez à tout moment déplacer le curseur de point du côté opposé au chariot. Quand vous avez déplacé le curseur de point opposé, un signal sonore retentit. Le champ correspondant à ce curseur de point sera modifié pour refléter sa nouvelle position. Dès que vous avez cliqué sur le bouton Tricoter, il n'est plus accessible (en grisé).

C'est ici que vous commencez à déplacer le chariot. Si le chariot atteint le second curseur de point, l'image du chariot passe du côté opposé et la sélection avance d'un rang. Le champ du compte-rangs est incrémenté. Quand le dernier rang a été tricoté, la sélection reprend au premier rang.

Vous arrêtez le tricot soit en choisissant un rang (autre que celui en cours) ou en cliquant sur le bouton Fermer.


DesignaKnit

The CB-2 package has 2 models: one with support for DesignaKnit and one without support for DesignaKnit. A CB-2 package without support for DesignaKnit can be upgraded later to a package with support for DesignaKnit.

The CB-2 with DesignaKnit option supports 2 functions of DesignaKnit:
- Download the design in Stitch Designer to the CB-2
- Interactive Knitting

Information about Download from DesignaKnit to the CB-2 you find in the topic "Browse DesignaKnit"

Information about Interactive Knitting you find in the topic "Interactive Knitting"

The Brotherlink 1, Brotherlink 5 and Brotherlink 1/5 USB are not supported on the FB port due to the limited FB100 support DesignaKnit provides for transfer of FB100 data.


Configuration

The CB-2 with DesignaKnit option supports DesignaKnit using the C port of the CB-2 box. You can find the port number of the C port in the Configuration dialog. You find the Configuration dialog by pressing Help, Configuration on the menu of the Control Box 2 dialog.

Remember the number of the CB-2 C port as you need the port number to configure DesignaKnit.
Make sure the CB-2 A port is selected and press OK to continue CB-2 Utility.

DesignaKnit 7 knitting machine selection DesignaKnit 7 setup for Brother KH970

Above you see the configuration for DesignaKnit 7. After selecting the KH970 and pressing Setup, you get the setup dialog. You enter the port number and press OK to finish the configuration. You may have noticed that a new, lower port number is assigned to the DesignaKnit port. This is because DK7 doesn't support port numbers above 9. You can make this change, if needed, in Device Manager.

DesignaKnit 8 knitting equipment selection DesignaKnit 8 setup for Brother KH970

Above you see the configuration for DesignaKnit 8. After selecting the KH970 and pressing Setup, you get the setup dialog. You enter the port number and press OK to finish the configuration. You can also press Find Link to have DesignaKnit search for the port. Renumbering of the com port is not needed in case of DesignaKnit 8. The link type must be set to Magnetic switch link.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Interactive Knitting

The CB-2 with DesignaKnit option supports DesignaKnit using the C port of the CB-2 box.

For Interactive Knitting, you no longer need the magnetic arm(s). The CB-2 signals DesignaKnit when the fabric row counter advances. The CB-2 C port is used for signalling DesignaKnit.

REMARQUE : assurez-vous que le Doigt du compteur de rangs appuie sur le Compteur de rangs lorsque le chariot passe le Compteur de rangs. DesignaKnit ne sera pas en mesure de signaler la progression si le Compteur de rangs n'est pas enfoncé.
Configuration topic.

DesignaKnit does NOT use the lace support provided by the CB-1 and CB-2. Specify the K carriage when you download a lace pattern obtained from DesignaKnit.

Last Modification: Dec 4, 2021 © 2002,2021 Computerservice SSHS BV.


Stocking Stitch

There are 2 methods for knitting stocking stitch in the CB-1 and CB-2:
1. download a pattern without selecting needles (KH970, 524 row 1 only); knit with Change Knob on the K carriage set to KC(I) or KC(II)
2. knit with Change Knob on the K carriage set to N.L.

Method 1 is the same as any pattern: the CB-2 signals DesignaKnit when the pattern/fabric row counter increments.

For method 2 there is a difference between the CB-1 and CB-2. On the CB-1 you use a magnetic switch link. The magnet on the carriage passing the knitlink box signals DesignaKnit that a row has been knitted. This functionality is provided by the magnetic switch link only; no action on the CB-1.
On the CB-2 you need to knit a pattern to activate the signalling to DesignaKnit. Here are the steps:
1. browse for KH970 pattern 183 (any pattern in the range 108-205 is usable)
2. select the K carriage if not already done
3. download the pattern
4. if you want to start knitting on the right side, tick the check box carriage Left
5. press OK button
6. after successful download, press the Knit button
7. click on the top row of the pattern (in case of 183, row 6 becomes blue)
8. tick the Stop check box (top row will be knitted continuously)
9. press Knit

At this point the CB-2 is ready to send signals to DesignaKnit.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


A propos de

La fenêtre 'A propos de CB-2 Utility' contient des informations sur la version.

Ci-dessus vous pouvez voir la version de CB-2 Utility.
Le dernier champ affiche des informations sur votre version de Windows.


Fermer


Créer votre propre motif

Il y a deux manières de créer un motif:
- Une autre personne a créé le motif et produit un diagramme de ce motif
- Vous avez une image ou une photo qui doit être numérisée

CB-2 Utility accepte les fichiers BMP Windows pour le tricot. CB-2 Utility considère chaque point du Bitmap comme une maille. Vous pouvez donc utiliser n'importe quel programme graphique pour produire un motif. Pour les diagrammes relativement petits, vous pouvez utiliser Microsoft Paint. Pour des images ou des photos, il faut un programme sophistiqué comme Paint Shop Pro ou Photoshop. Pour un diagramme plus grand, il est plus simple et plus rapide de scanner le diagramme et d'utiliser un programme graphique sophistiqué capable de réduire les couleurs et la résolution. C'est le cas des deux programmes cités ci-dessus mais il en existe certainement d'autres.

CB-2 Utility accepte également des documents texte (TXT). CB-2 Utility considère chaque caractère d'une ligne comme une maille. En respectant quelques règles simples, vous pouvez entrer un motif au moyen de tout logiciel capable de créer des fichiers dont l'extension est .TXT. Le Bloc-notes de Microsoft est le plus simple de ces logiciels.
L'avantage des documents texte est que vous pouvez également entrer des motifs dentelle.


Paint

CB-2 Utility accepte les fichiers BMP Windows pour le tricot. CB-2 Utility considère chaque point du Bitmap comme une maille.

Les motifs de 25 x 25 ou plus petits peuvent être entrés facilement avec Microsoft Paint. Le motif Duck25 a été réalisé avec Microsoft Paint. Voici quelques astuces pour vous faciliter la vie:

1. dans Image, Attributs choisir les pixels comme unités.
2. dans Image, Attributs choisir le nombre de mailles pour la largeur.
3. dans Image, Attributs choisir le nombre de rangs pour la hauteur
4. dans Affichage, Zoom mettre le Zoom à 800%.
5. dans Affichage, Zoom choisir Afficher la grille.

Vous voyez maintenant les pixels (mailles) et vous pouvez les remplir avec le crayon.
Si vous copiez un diagramme trouvé dans un magazine, vous ne devez pas vous préoccuper des informations sur la couleur parce que beaucoup d'entre eux sont en noir et blanc.
Si vous préférez deux couleurs différentes, choisissez la couleur principale pour le fond et la couleur du crayon comme couleur contraste.
Pas de problème si les couleurs sont inversées. Vous pouvez les modifier dans CB-2 Utility en utilisant l'option Négatif ou l'option Echange.
De même, envers ou endroit faisant face ne sont pas un problème: CB-2 Utility offre une option Inverser.

Ceci signifie également que les lettres ne posent plus de problème. Vous pouvez dessiner le motif sur l'endroit alors que l'envers vous fera face pendant le tricotage. Il suffit de cocher l'option Inverser pendant le transfert.

Il n'a fallu que quelques minutes pour dessiner en couleurs le diagramme ci-dessus. CB-2 Utility traitera le canard ci-dessus comme un jacquard double 3 couleurs.
Ci-dessous: un diagramme en noir et blanc avec des lettres, créé avec Microsoft Paint.


Bloc-notes

CB-2 Utility accepte des documents texte (TXT) pour le tricot. CB-2 Utility considère comme une maille chaque caractère d'une ligne dans le document texte.
Des motifs 25x25 ou plus petits peuvent se dessiner facilement et très rapidement avec le Bloc-notes de Microsoft. Le Duck25 a été réalisé de cette façon.
5 règles fondamentales doivent être respectées:

  • La première ligne contient le mot ControlBox2
  • Toutes les lignes comportant des mailles ont la même longueur
  • Vous pouvez utiliser les chiffres 0 - 9 pour montrer une couleur, les dix premières de la palette.
  • Les caractères : ; < = > ? sont les six dernières de la palette.
  • Vous pouvez ajouter un commentaire en mettant comme premier caractère d'une ligne le signe % (signe pourcent)

Le diagramme ci-dessus a été réalisé en quelques minutes. CB-2 Utility traitera le canard ci-dessus comme un jacquard double fonture 3 couleurs.
Le contenu du document texte est:

ControlBox2
%Duck25 créé avec Bloc-notes
%23456789 123456789 12345
6666666666666666666666666
6000000000000000000000006
6000000000000000000000006
6000000000000000000000006
6000000444000000000000006
6000004444400000000000006
6000004044400000000004006
6000444444400000000044006
6000004444400444444444006
6000000044444444444444006
6000000044444444440444006
6000000444444444404440006
6000000440444444044440006
6000000444000000444400006
6000600444444444444000006
6006000444444444444000006
6006000044444444440000006
6000600000000000000000006
6000060000000000000000006
6006006666666666666000006
6000600000000000000000006
6000066666666600000000006
6000000000000000000000006
6000000000000000000000006
6666666666666666666666666
Astuce: vous pouvez utiliser une règle comme la ligne de commentaires ci-dessus pour compter les mailles. Plusieurs lignes de commentaires sont permises comme vous pouvez le voir ci-dessus.


Bloc-notes Couleur

Ci-dessus, un diagramme en couleur qui est fait très rapidement. CB-2 Utility traitera le diagramme ci-dessus comme un jacquard 4 couleurs.

Ci-dessous, vous voyez ce qui devait être entré pour la conception ci-dessus.

ControlBox2
$feeders
1443322222233441123400
5554433223344555523400
5554433223344555543200
6443322222233446643200
Remarque: les 6 derniers caractères de la ligne sont les numéros de couleur.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Dentelle Bloc-notes

CB-2 Utility accepte les documents texte (TXT) pour le tricot dentelle.
Les règles pour les documents texte sont d'application, à l'exception du jeu de caractères qui est différent.
CB-2 Utility considère un document texte comme un motif dentelle si le document contient au moins un symbole dentelle et si le document contient un symbole dentelle, tous les caractères mailles doivent être des symboles dentelle.

Le motif dentelle ci-dessus a été tracé en quelques minutes. CB-2 Utility traitera ce motif comme un motif en dentelle simple.
Le contenu du document texte est:

ControlBox2
% dentelle simple
""""""""""""
""""""""""""
""""""""#)""
""""""""""""
"""""""""#)"
""""""*#""""
""""""""""""
"""""""*#"""
""""""""""""
""""""""""""
"""#)"""""""
""""""""""""
""""#)""""""
"*#"""""""""
""""""""""""
""*#""""""""
Le tableau ci-dessous montre les caractères que vous pouvez utiliser pour les motifs dentelle.
Touche | Image | Nom | Fonction
! |  | Point d'exclamation | Maille sur l'endroit
" |  | Guillemet | Maille sur l'envers
# |  | Caractère dièse | Trou formé par transfert d'une maille
' |  | Apostrophe | Transférer maille à gauche
( |  | Parenthèse gauche | Transférer maille à droite
) |  | Parenthèse droite | Fin transfert mailles à droite
* |  | Astérisque | Fin transfert mailles à gauche
/ |  | Slash | Deux mailles transférées sur une même aiguille.
± |  | Plus-Minus Sign | Fine lace transferred to the right
³ |  | Superscript Three | Fine lace transferred to the left

Conseil pour les utilisateurs de DesignaKnit (avec ou sans le module dentelle):
Taper le mot ControlBox2 et une nouvelle ligne. Ensuite, passer à la police Roosmalen1. Vous voyez maintenant les symboles dentelle que vous entrez, et le mot ControlBox2 n'est plus visible.
Vous pouvez utiliser le tableau ci-dessus pour trouver quelle touche utiliser pour un symbole. Les chiffres 0-9 sont encore lisibles et vous pouvez créer une règle.
Fine lace is a Brother only feature. In case you cannot enter the characters via Alt+0177 (±) or Alt+0179 (³), you can also use the copy and paste facilities offered by Charmap (copy) and Notepad (paste). The characters are 0xB1 and 0xB3 respectively.


Notepad Separated

The txt format allows for entry of any pattern. This becomes handy when entering lace patterns. A row in a separated lace pattern represents one lace carriage pass. The passes of the main carriage (K) are not part of the pattern. The number of rows with the K carriage after a lace sequence is stored in the memo number for that row.

Design 970_168.txt shows an example of a separated normal lace design. The memo numbers can be included by adding a line with $memo before the first row of stitches. The memo number is stored as the last character of a row with stitches.

Both normal and fine lace designs can be digitised using the above notation.

Design 970_186.txt shows an example of a separated fine lace design.

For mixed lace designs the memo number specifies the type of lace or the number of rows to be knitted with the K carriage. The character for fine lace is semicolon (;); the character for normal lace is colon (:). The type of lace of a row with a numerical value is the same as the type of the preceding row.

Design 970_194.txt shows an example of a separated mixed lace design. The dark yellow stitches are the Fine lace stitches; the dark blue stitches are the Normal stitches. 970-194l.txt is the symbol version of pattern 194.

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Notepad Multiline

Lace designs are knitted as a number of carriage passes with the L carriage, followed by a number of passes with the K carriage. The K carriage passes are done with the Change Knob on the K carriage set to N-L. N-L knits tricot fabric.

Some lace designs require that a certain needle is transferred more than once in a set of lace carriage passes. Pattern 144 in Stitch World Pattern Book III is an example of such a pattern.

You have 2 options to enter such a pattern using multiline lace:

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Notepad Superimposed

Lace designs are knitted as a number of carriage passes with the L carriage, followed by a number of passes with the K carriage. The K carriage passes are done with the Change Knob on the K carriage set to N-L. N-L knits tricot fabric.

Some lace designs require that a certain needle is transferred more than once in a set of lace carriage passes. Pattern 144 in Stitch World Pattern Book III is an example of such a pattern.

In most cases you can enter such a pattern as superimposed lace:

There are patterns however that cannot be entered as Superimposed Lace:

Above pattern can be found in the book Brother Punch Card Pattern Vol.5, page 166 pattern 583.

Last Modification: Mar 8, 2018 © 2002,2018 Computerservice SSHS BV.


Dentelle Stitch Painter

Pour la dentelle Stitch Painter, vous devez utiliser le 'gabarit' fourni dans "Mes motifs" (Template.stc). Ouvrir Template.stc et le sauver avec le nom de votre motif.

Un fichier STC est considéré comme un motif dentelle par CB-2 parce que le fichier contient que des symboles dentelle

Vous trouverez les symboles dentelle au-dessus dans la palette. Vous ne pouvez changer ni les symboles dentelle eux-mêmes ni leur ordre, sans provoquer des résultats imprévisibles.

Ci-dessous, une image d'un motif dentelle dessiné dans Stitch Painter.

Conseil: choisissez un facteur zoom de 3 ou 4 pour une meilleure vue du motif. Dans l'exemple ci-dessus, le zoom est réglé à 3.


Motifs exemples

Le programme d'installation de CB-2 crée un dossier appelé "Mes motifs" dans votre dossier "Mes documents"
Le dossier "Mes motifs" contient trois sous-dossiers: CB-2, Superba et Silver Reed. Le dossier CB-2 contient divers exemples de motifs. La plupart des motifs utilisés dans ce fichier d'aide se trouvent dans le dossier CB-2. Les motifs sont organisés par extension dans des sous-dossiers.

Dans le dossier Superba vours trouvez les motifs des Superba machines.

Dossier | Contenu
Memo II | Motifs pour Memo II
Pegboard | Motifs pour Peg Board
Lightbox | Motifs pour Light Box
624 | Motifs pour MT624
9000 | Motifs pour 9000

Le dossier "Mes motifs" contient également un sous-dossier Silver Reed. Ce dernier contient les feuilles mylar numérisées pour la plupart des machines électroniques Silver Reed.

Dossier | Contenu
AG | Cartes mylar pour AG50
EC1 | Cartes mylar pour EC1
Dentelle | Cartes mylar pour chariot dentelle
SK550-560 | Cartes mylar pour SK550 & SK560
SK580 | Cartes mylar pour SK580

Les dossiers ci-dessus comportent des sous-dossiers pour chaque carte et vous pouvez les comparer aisément avec votre livre de points.


Démarrage

Liste du contenu
  1. Boîte Control Box 2
  2. CB-2 box
  3. Matériel de fixation
  4. Câble USB
  5. Alimentation et cordon
  6. CD ROM avec le logiciel CB-2 Utility et les pilotes USB

Installation du logiciel

Note: INSTALLER LE LOGICIEL AVANT DE CONNECTER LE CONTROL BOX 2 A L'ORDINATEUR

  1. Insérer le CD d'installation de CB-2 dans le lecteur de CD
  2. Le programme d'installation de CB-2 démarre automatiquement
  3. Si l'autorun n'est pas activé sur votre ordinateur, cherchez le CD et double-cliquez sur le fichier autoplay.exe dans le répertoire racine du CD
  4. Suivez les instructions à l'écran, InstallShield installation wizard vous guidera tout au long de l'installation.
Note 1: Il est conseillé d'installer CB-2 Utility dans le dossier suggéré.

Installation du matériel

  1. Reliez le connecteur B du câble USB au port USB de CB-2
  2. Reliez le connecteur A du câble USB à un port USB libre sur votre ordinateur
  3. Vérifier que la diode verte s'allume et que la diode rouge/verte clignote une fois vert/rouge
  4. Windows affichera "Nouveau matériel détecté"
  5. Laisser, de préférence, Windows rechercher les pilotes
  6. Si Windows ne les trouve pas, indiquez lui que les pilotes sont sur le CD ROM
  7. Si Windows affiche que les pilotes ne sont pas compatibles, cliquer sur "Continuer"
  8. Le convertisseur série USB est maintenant installé
  9. Windows affichera encore une fois "Nouveau matériel détecté"
  10. Laisser, de préférence, Windows chercher les pilotes
  11. Si Windows ne les trouve pas, indiquez lui que les pilotes sont sur le CD ROM
  12. Si Windows affiche que les pilotes ne sont pas compatibles, cliquez sur "Continuer"
  13. Le port série USB est maintenant installé
  14. L'installation est maintenant terminée
  15. Sur certains systèmes il est nécessaire de redémarrer après l'installation des pilotes USB


Conseils

Pendant la conception et les tests de Control Box 2, nous avons rencontré plusieurs problèmes qui étaient loin d'être évidents.
Comme toujours, nous nous sommes demandé quelles erreurs nous avions commises. Dans quelques cas, ces problèmes n'avaient rien à voir avec CB-2 mais plutôt avec la maintenance de la machine à tricoter..

Voici quelques sujets qui méritent votre attention.

Alimentation

La boîte Control Box 2 doit avoir une alimentation externe de 12 Volt DC (1.5 Amp minimum). Cette alimentation est normalement fournie. Si pour diverses raisons, une autre alimentation est utilisée, assurez-vous qu'elle soit du type régulé et dans une fourchette de 15 Volt, 0.8 Amp minimum. La borne positive du connecteur devrait être au centre. (La boîte Control Box 2 est protégée contre le changement de polarité). Une alimentation avec un voltage supérieur peut endommager la boîte Control Box 2 et/ou le chariot. Une alimentation avec un voltage inférieur ou qui débite un courant trop faible peut engendrer des erreurs imprévisibles dans le tricot (mauvaise sélection intermittente d'aiguilles , etc.) ou perte de communication avec la boîte Control Box 2.


Comparaison

Il existe plusieurs différences entre DesignaKnit et CB-2 Utility en ce qui concerne le tricot d'un motif. Le tableau ci-dessous reprend la plupart d'entre elles.

Sujet | DesignaKnit | CB-2
Motifs |  |
Formats | STP, PAT | PAT, BPT, BMP, CST, CUT, PCX, STC, STB, DAT, STP, TXT, NIT, PBM, PGM, PPM, KSW, KSL, QPA, MT, MTF
Entrée des données mailles | Motif traité comme un dessin | Motif traité comme un diagramme
Ce que vous voyez à l'écran de l'ordinateur | L'endroit fait face à l'utilisateur | L'envers fait face à l'utilisateur
Inversion automatique | Oui | L'utilisateur détermine au moment du transfert si le motif doit être inversé
Variations | Au moment de la création | Au moment du transfert
Curseurs de point |  |
Position | Doivent être placés à la largeur de tricot maximum chaque fois que vous cliquez sur le feu vert. | Doivent être positionnés au (re-) démarrage du tricot. Si vous revenez en arrière de quelques rangs, vous pouvez les laisser là où ils se trouvaient quand vous vous êtes arrêté. Vous pouvez aussi les remettre dans la position de départ.
Position | Fixe; vous pouvez changer la position du curseur de point du côté opposé au chariot. | Fixe pour le premier rang vous pouvez changer la position du curseur de point du côté opposé au chariot; vous pouvez conserver la position qu'ils occupaient au moment où vous vous êtes arrêté.
Position pendant le tricot | Changement non affiché. | La position est affichée pendant le tricot; avertissement quand la position a changé.
Tricot |  |
Compte-rangs | Automatique | Vous pouvez choisir la valeur de départ; comptage automatique.
Après le dernier rang | Le tricot s'arrête. | Reprend au premier rang (Boucle)
Turn around time (*) | Environ 200 millisecondes Hypothèse: Instructions verbales et sons sont OFF. | Environ 150 millisecondes
Jacquard |  |
Présentation à l'écran | Non séparé | Séparé
Séparation | Au moment de la création; une intervention manuelle peut être nécessaire | Au moment du transfert; automatique
Nombre de couleurs | 2, 3, 4, 5 et 6 | 2 et 3
Utiliser le Fairisle comme jacquard double 2 couleurs | Non; il faut sauver comme second motif. | Oui
Utiliser le jacquard double deux couleurs comme Fairisle | Non; il faut sauver comme second motif. | Oui
Dentelle |  |
Outil de dessin dentelle | En option | Partie intégrante de CB-2
'Troutrous' superposés (jetés) | Non | Oui
'Troutrous' adjacents (jetés) | Non | Oui

(*) Le "Turn around time" est le temps qui s'écoule entre le moment où le chariot a dépassé le second curseur de point et celui où la boîte Control Box 2 est prête à tricoter le rang suivant.


What if

In this topic you find a number of conditions and how to handle the situation.

Above picture shows all needles selected except the two outer needles. The needle configuration is the result of a carriage pass using the lace carriage with the non-selection cams in working position. The factory setting of the non-selection cams is working position.

Case 1: What can be wrong in above situation is that there is no power at all applied to the needle bed (KM cord not (properly) connected to the CB-2).
Resolution 1: Make sure the KM cord is connected properly.

Case 2: Another way to get to above needle configuration is to start with the lace carriage inside the position sensors.
Resolution 2: The resolution is simple: always start with the lace carriage outside the position sensors. It is allowed to move the carriage outside the position sensors every row.

Case 3: We have identified a third case where the needle bed doesn't return appropriate signals in time. Extra delays occur when the CB-2 is connected to your computer via a USB hub. These delays can influence the timing inside the CB-2. This can cause a reset of the needle bed after which case two occurs if the carriage was inside the position sensors.

Above 2 messages can occur in case of communication problems occur between the needle bed and the CB-2.
The equivalent error on the CB-1 is: ERROR 6 CB-1 AND KM BODY ARE NOT CONNECTED.
The difference is that you have to turn the CB-1 off and on to fix the problem. The CB-2 will try to restart the communication.
Resolution 3: Consider if you can connect the CB-2 directly to your computer, eliminating the USB hub.
You can also press the Knit button again. The CB-2 and needle bed can recover from this situation.

Last Modification: Jan 4, 2018 © 2002,2018 Computerservice SSHS BV.


Messages

Les messages affichés par CB-2 Utility sont généralement évidents. Le message suivant est moins clair. Pourquoi?

Tout d'abord, vous n'êtes pas censé voir le message et si vous voyez le message, aucune autre information ne vous expliquera ce qui se passe.
Le message précise que CB-2 Utility a perdu la connexion avec la boîte Control Box 2. La raison montre pourquoi CB-2 Utility ne peut plus communiquer avec la boîte Control Box 2. Les 4 derniers chiffres de la raison indiquent le code d'erreur renvoyé par Windows, dans le cas ci-dessus 5. Le code d'erreur 5 signifie: accès refusé, ce qui n'est pas vraiment utile.

La cause la plus fréquente de ce message est ce qui s'appelle la "suppression inattendue"

La suppression inattendue est: déconnexion du câble USB de la boîte Control Box 2 alors que la communication avec celle-ci était en cours. La suppression inattendue peut aussi se produire en cas de réseau USB bruyant ou d'interférence avec d'autres logiciels qui tentent d'accéder au port com virtuel.

La solution la plus simple pour résoudre le cas ci-dessus: quitter CB-2 Utility (il se peut que vous receviez d'autres messages "Communication perdue..."), ôter le câble USB de la boîte Control Box 2, attendre 10 secondes, reconnecter le câble USB à la boîte Control Box 2. Déconnexion et reconnexion peuvent ne pas être nécessaires.

Dans un cas, nous avons résolu le problème de "suppression inattendue" en insérant un hub USB entre le PC et la boîte Control Box 2. S'il y a déjà un hub USB entre le PC et la boîte Control Box 2, ôter le hub peut aider.


Dialog Manager

Dialog Manager, comme le nom le suggère, est une application qui prend en charge les dialogues. Dialog Manager facilite la tâche du programmeur de fenêtres de dialogue Windows en éliminant l'aspect fastidieux de celle-ci, lui permettant de se concentrer sur la fonctionnalité utilisateur.

Dialog Manager fournit aussi des fonctionnalités supplémentaires en plus de la fonctionnalité dialogues de Windows.
Les caractéristiques supplémentaires de cette application comprennent:
  • Les boutons hachurés: un bouton dépend du contenu de un ou plusieurs champs, où les champs ne remplissent pas les conditions du bouton. L'utilisateur peut cliquer sur un bouton hachuré pour connaître les champs qui ne remplissent pas les conditions du bouton.
  • Coloration du champ: quand un bouton a le 'focus', les champs dont dépend le bouton sont en couleurs pour indiquer à l'utilisateur qu'une action est requise de sa part.
  • Propagation: quand une ligne dans une table est sélectionnée, les champs de la ligne sont répercutés dans les champs individuels.

Last Modification: Dec. 6, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Introduction

Une application Dialog Manager vous propose une ou plusieurs fenêtres de dialogue.

Obtenir de l'aide pour une fenêtre de dialogue

Une fenêtre de dialogue peut contenir:
  • Boutons
  • Champs à ligne unique
  • Champs à lignes multiples
  • Boîtes Table
  • Cases à cocher
On peut utiliser la souris ou le clavier pour se déplacer dans une fenêtre de dialogue.

Touches d'Accès

Barre de Défilement

Focus initial et Ordre de Tabulation

Couleurs

Last Modification: Dec 5, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Obtenir de L'Aide Pour une Fenêtre de Dialogue

Quand le gestionnaire des fenêtres de dialogues vous propose une fenêtre de dialogue, vous pouvez obtenir de l'aide en appuyant sur la touche F1. Ceci affiche une fenêtre de dialogue où vous pouvez choisir (si disponibles):
  • Général affiche cette aide
  • 'Forms' affiche l'aide pour cette application
  • Champ affiche l'aide pour le champ qui a le focus
Vous pouvez aussi utiliser la touche Forms et la touche Champ pour aller directement à l'Aide correspondante.

Last Modification: Dec 5, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Boutons

Une fenêtre de dialogue contient habituellement un bouton OK, un bouton Annuler et un ou plusieurs boutons d'actions.
On peut 'appuyer' sur un bouton par un clic avec la souris ou en utilisant le clavier.

  • La touche Entrée active le bouton par défaut, qui est le bouton entouré d'une bordure épaisse. Le bouton par défaut est celui qui a le "focus", ou, si aucun bouton n'a le focus, celui qui a été désigné comme bouton par défaut. Dialog Manager considère le dernier bouton utilisé comme bouton par défaut.
  • La barre d'espacement active tout bouton entouré d'une bordure pointillée.
  • Si le texte d'un bouton contient un caractère souligné, enfoncer simultanément Alt et la touche de ce caractère équivaut à cliquer sur ce bouton.

Last Modification: Nov 16, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Champs

Un champ à ligne unique sert à afficher ou entrer une chaîne de caratères. Quand une fenêtre de dialogue s'affiche pour la première fois, un champ dans lequel on peut entrer du texte est habituellement vide, mais, dans certains cas, il contient un texte par défaut. Quand un champ vous permet d'entrer du texte, vous pouvez cliquer pour placer le curseur dans le texte existant et utiliser le clavier pour le modifier. La touche Début déplace le curseur au début de la chaîne et la touche Fin l'envoie à la fin. La touche Suppr efface les caractères derrière le curseur et Retour arrière efface les caractères devant le curseur.
On peut mettre du texte en surbrillance en faisant glisser le curseur pour le sélectionner. La touche Suppr supprime le texte en surbrillance, ou le nouveau texte que l'on entre remplace le texte en surbrillance.

Last Modification: Dec 5, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Champs à lignes multiples

Un champ à lignes multiples sert à afficher ou entrer une chaîne de caratères. Quand une fenêtre de dialogue s'affiche pour la première fois, un champ dans lequel on peut entrer du texte est habituellement vide, mais, dans certains cas, il contient un texte par défaut.
Quand un champ vous permet d'entrer du texte, vous pouvez cliquer pour placer le curseur dans le texte existant et utiliser le clavier pour le modifier. La touche Début déplace le curseur au début de la chaîne et la touche Fin l'envoie à la fin. La touche Suppr efface les caractères derrière le curseur et la touche Retour arrière efface les caractères devant le curseur.
On peut mettre du texte en surbrillance en faisant glisser le curseur pour le sélectionner. La touche Suppr supprime le texte en surbrillance, ou le nouveau texte que l'on entre remplace le texte en surbrillance.
Ctrl+Enter fait passer le curseur à une nouvelle ligne.

Last Modification: Dec 5, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Boîte Table

Une Boîte Table affiche une liste. Faites défiler la liste avec la barre de défilement et sélectionnez une rubrique suivant l'une des manières ci-dessous:

  • double-cliquez
  • Cliquez et appuyez sur Entrée
  • Utilisez les touches flèches pour la mettre en surbrillance et appuyez sur la barre d'espacement
La couleur de la table change quand la souris est dessus (quand le focus change) ou quand la souris n'y est plus (quand la sélection change). On peut désélectionner un rang en appuyant sur Suppr.

Last Modification: Nov 16, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Case à Cocher

Une Case à Cocher permet d'activer ou de désactiver une option. L'option est activée quand un V est marqué dans la Case à Cocher et désactivée quand la case est vide.

Last Modification: Dec. 6, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Touches d'accès

Une touche d'accès permet d'utiliser le clavier pour activer dans une fenêtre de dialogue un champ à ligne unique, un champ à lignes multiples, un bouton, une case à cocher ou une boîte table.

Lorsqu'un caractère est souligné dans un nom, celui-ci peut être activé en appuyant simultanément sur Alt et la la touche correspondant à ce caractère.

Last Modification: Nov 16, 2009 (c) Copyright 2004, Computerservice SSHS BV


Dialog Manager - Barre de Défilement

Une barre de défilement s'affiche à droite ou en bas d'une Boîte Table ou d'un champ à lignes multiples quand son contenu n'est pas entièrement visible. Chaque barre de défilement contient deux flèches de défilement qui vous permettent de parcourir le contenu de la Boîte Table ou du champ.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - 'Focus' Initial et Ordre de la touche Tab

On dit qu'un contrôle est actif quand il a le 'focus'. Ceci signifie que vous pouvez agir sur ce contrôle. Par exemple, si un champ a le focus, vous pouvez y entrer du texte.
On peut utiliser la touche Tab pour déplacer le focus et activer les contrôles dans une fenêtre de dialogue. L'ordre de la touche Tab ( touche de tabulation) est l'ordre dans lequel les contrôles s'activent quand vous utilisez Tab. L'utilisation de Tab est particulièrement utile et naturelle pour passer d'un champ texte à un autre.

Last Modification: Dec 5, 2009 © 1999-2009 Computerservice SSHS BV.


Dialog Manager - Coloring

Knit and Sew

Dialog Manager - Couleurs

Les champs, tables ou boutons sont en couleurs ou hachurés lorsqu'une action est requise avant de pouvoir enfoncer un bouton. Les champs en lecture seule qui dépendent d'un bouton où une action est requise sont hachurés lorsque le bouton est en grisé.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.